[{"data":1,"prerenderedAt":4692},["ShallowReactive",2],{"docs:\u002Fen\u002Freference\u002Frest-api":3},{"page":4,"untranslated":4691,"translated":4684},{"id":5,"title":6,"body":7,"description":4681,"extension":4682,"meta":4683,"navigation":4684,"path":4685,"publishedAt":4686,"seo":4687,"stem":4688,"updatedAt":4689,"__hash__":4690},"docs_en\u002Fen\u002Freference\u002Frest-api.md","REST API",{"type":8,"value":9,"toc":4635},"minimark",[10,14,53,58,102,114,130,134,139,145,150,342,365,557,569,573,579,1006,1119,1123,1129,1275,1312,1332,1361,1367,1401,1405,1422,1470,1473,1477,1492,1530,1559,1573,1577,1581,1587,1596,1621,1666,1787,1801,1848,1911,1954,1980,1984,1990,2018,2071,2089,2103,2107,2111,2114,2182,2199,2203,2206,2209,2248,2429,2450,2454,2457,2643,2685,2687,2750,2754,2763,2786,2790,2794,2804,2830,2923,2936,3056,3065,3110,3122,3126,3137,3154,3162,3166,3178,3182,3188,3406,3627,3634,3638,3644,3660,3664,3673,3689,3693,3696,3723,3754,3758,3762,3772,3796,3800,3806,3809,3874,4000,4004,4010,4350,4407,4411,4417,4459,4522,4536,4554,4558,4583,4595,4599,4625,4628,4631],[11,12,6],"h1",{"id":13},"rest-api",[15,16,17,18,22,23,26,27,30,31,33,34,26,37,39,40,42,43,45,46,26],"p",{},"When ",[19,20,21],"code",{},"auth"," is configured, Tsumugi handles requests to endpoints under ",[19,24,25],{},"\u002Fapi",".",[28,29],"br",{},"\nIf it is not configured, Tsumugi responds to every request with 404.",[28,32],{},"\nAuthentication applies only to ",[19,35,36],{},"\u002Fapi\u002F*",[28,38],{},"\nThe dashboard HTML contains no job data, so it is served without requiring authentication.",[28,41],{},"\nIf the request is not authenticated, the dashboard shows a token input field.",[28,44],{},"\nGet the OpenAPI definition with ",[47,48,50],"a",{"href":49},"#get-apiopenapijson",[19,51,52],{},"GET \u002Fapi\u002Fopenapi.json",[54,55,57],"h2",{"id":56},"共通のレスポンス","Common responses",[59,60,61,74],"table",{},[62,63,64],"thead",{},[65,66,67,71],"tr",{},[68,69,70],"th",{},"Status",[68,72,73],{},"Meaning",[75,76,77,86,94],"tbody",{},[65,78,79,83],{},[80,81,82],"td",{},"401",[80,84,85],{},"Authentication failed",[65,87,88,91],{},[80,89,90],{},"501",[80,92,93],{},"The operation is not configured",[65,95,96,99],{},[80,97,98],{},"503",[80,100,101],{},"Configuration is incomplete, or the service is temporarily unavailable",[15,103,104,105,107,108,110,111,113],{},"The 503 body includes the reason.",[28,106],{},"\nIf there are unapplied migrations, the body includes the names of the unapplied files.",[28,109],{},"\nIf bindings are missing, the body includes the list of missing bindings.",[28,112],{},"\nIf the service is temporarily unavailable, wait and retry.",[15,115,116,117,119,122,123,125,126,129],{},"In a configuration with no registered Flow, the endpoints that start, resume, and cancel a Run respond with 501.",[28,118],{},[19,120,121],{},"\u002Fapi\u002Fopenapi.json"," responds even when configuration is incomplete.",[28,124],{},"\nIf the runId format is invalid, endpoints that include ",[19,127,128],{},"\u002Fapi\u002Fruns\u002F:id"," respond with 400.",[54,131,133],{"id":132},"ジョブ","Jobs",[135,136,138],"h3",{"id":137},"get-apijobs","GET \u002Fapi\u002Fjobs",[15,140,141,142,144],{},"Gets the list of jobs.",[28,143],{},"\nThe response contains an array of jobs and the total count.",[146,147,149],"h4",{"id":148},"クエリパラメータ","Query parameters",[59,151,152,165],{},[62,153,154],{},[65,155,156,159,162],{},[68,157,158],{},"Name",[68,160,161],{},"Default",[68,163,164],{},"Description",[75,166,167,180,192,204,219,233,249,263,278,293,323],{},[65,168,169,174,177],{},[80,170,171],{},[19,172,173],{},"state",[80,175,176],{},"None",[80,178,179],{},"Filter by state",[65,181,182,187,189],{},[80,183,184],{},[19,185,186],{},"binding",[80,188,176],{},[80,190,191],{},"Filter by binding name",[65,193,194,199,201],{},[80,195,196],{},[19,197,198],{},"id",[80,200,176],{},[80,202,203],{},"Exact match on job ID",[65,205,206,211,213],{},[80,207,208],{},[19,209,210],{},"unique_key",[80,212,176],{},[80,214,215,216],{},"Exact match on ",[19,217,218],{},"uniqueKey",[65,220,221,226,228],{},[80,222,223],{},[19,224,225],{},"concurrency_key",[80,227,176],{},[80,229,215,230],{},[19,231,232],{},"concurrencyKey",[65,234,235,240,242],{},[80,236,237],{},[19,238,239],{},"created_from",[80,241,176],{},[80,243,244,245,248],{},"Lower bound of ",[19,246,247],{},"created_at",". In epoch milliseconds, inclusive",[65,250,251,256,258],{},[80,252,253],{},[19,254,255],{},"created_to",[80,257,176],{},[80,259,260,261,248],{},"Upper bound of ",[19,262,247],{},[65,264,265,270,275],{},[80,266,267],{},[19,268,269],{},"limit",[80,271,272],{},[19,273,274],{},"20",[80,276,277],{},"Maximum 100",[65,279,280,285,290],{},[80,281,282],{},[19,283,284],{},"offset",[80,286,287],{},[19,288,289],{},"0",[80,291,292],{},"Starting position",[65,294,295,300,305],{},[80,296,297],{},[19,298,299],{},"sort",[80,301,302],{},[19,303,304],{},"updated_at",[80,306,307,308,310,311,310,313,310,315,310,317,310,320],{},"One of ",[19,309,304],{},", ",[19,312,247],{},[19,314,186],{},[19,316,173],{},[19,318,319],{},"priority",[19,321,322],{},"attempts",[65,324,325,330,335],{},[80,326,327],{},[19,328,329],{},"order",[80,331,332],{},[19,333,334],{},"desc",[80,336,337,338,341],{},"Ascending only when ",[19,339,340],{},"asc"," is specified",[15,343,344,345,347,348,350,351,353,354,356,357,359,360,353,362,364],{},"When multiple conditions are specified, the list includes the jobs that satisfy all of them.",[28,346],{},"\nKey searches are exact match; partial match is not available.",[28,349],{},"\nIf an invalid value is given for ",[19,352,299],{}," or ",[19,355,329],{},", the response uses the default order instead of returning 400.",[28,358],{},"\nIf a non-integer is given for ",[19,361,239],{},[19,363,255],{},", that condition is ignored.",[366,367,372],"pre",{"className":368,"code":369,"language":370,"meta":371,"style":371},"language-json shiki shiki-themes github-light github-dark","{\n  \"jobs\": [\n    {\n      \"id\": \"MAIL#0:xxxxxxxxxxxxxxxxxxxxxxxx\",\n      \"binding\": \"MAIL\",\n      \"state\": \"FAILED\",\n      \"priority\": 0,\n      \"attempts\": 3,\n      \"max_attempts\": 3,\n      \"created_at\": 1753000000000,\n      \"updated_at\": 1753000060000,\n      \"dispatched_at\": 1753000030000,\n      \"retryable\": true\n    }\n  ],\n  \"total\": 1\n}\n","json","",[19,373,374,383,393,399,415,428,441,453,466,478,491,504,517,528,534,540,551],{"__ignoreMap":371},[375,376,379],"span",{"class":377,"line":378},"line",1,[375,380,382],{"class":381},"sVt8B","{\n",[375,384,386,390],{"class":377,"line":385},2,[375,387,389],{"class":388},"sj4cs","  \"jobs\"",[375,391,392],{"class":381},": [\n",[375,394,396],{"class":377,"line":395},3,[375,397,398],{"class":381},"    {\n",[375,400,402,405,408,412],{"class":377,"line":401},4,[375,403,404],{"class":388},"      \"id\"",[375,406,407],{"class":381},": ",[375,409,411],{"class":410},"sZZnC","\"MAIL#0:xxxxxxxxxxxxxxxxxxxxxxxx\"",[375,413,414],{"class":381},",\n",[375,416,418,421,423,426],{"class":377,"line":417},5,[375,419,420],{"class":388},"      \"binding\"",[375,422,407],{"class":381},[375,424,425],{"class":410},"\"MAIL\"",[375,427,414],{"class":381},[375,429,431,434,436,439],{"class":377,"line":430},6,[375,432,433],{"class":388},"      \"state\"",[375,435,407],{"class":381},[375,437,438],{"class":410},"\"FAILED\"",[375,440,414],{"class":381},[375,442,444,447,449,451],{"class":377,"line":443},7,[375,445,446],{"class":388},"      \"priority\"",[375,448,407],{"class":381},[375,450,289],{"class":388},[375,452,414],{"class":381},[375,454,456,459,461,464],{"class":377,"line":455},8,[375,457,458],{"class":388},"      \"attempts\"",[375,460,407],{"class":381},[375,462,463],{"class":388},"3",[375,465,414],{"class":381},[375,467,469,472,474,476],{"class":377,"line":468},9,[375,470,471],{"class":388},"      \"max_attempts\"",[375,473,407],{"class":381},[375,475,463],{"class":388},[375,477,414],{"class":381},[375,479,481,484,486,489],{"class":377,"line":480},10,[375,482,483],{"class":388},"      \"created_at\"",[375,485,407],{"class":381},[375,487,488],{"class":388},"1753000000000",[375,490,414],{"class":381},[375,492,494,497,499,502],{"class":377,"line":493},11,[375,495,496],{"class":388},"      \"updated_at\"",[375,498,407],{"class":381},[375,500,501],{"class":388},"1753000060000",[375,503,414],{"class":381},[375,505,507,510,512,515],{"class":377,"line":506},12,[375,508,509],{"class":388},"      \"dispatched_at\"",[375,511,407],{"class":381},[375,513,514],{"class":388},"1753000030000",[375,516,414],{"class":381},[375,518,520,523,525],{"class":377,"line":519},13,[375,521,522],{"class":388},"      \"retryable\"",[375,524,407],{"class":381},[375,526,527],{"class":388},"true\n",[375,529,531],{"class":377,"line":530},14,[375,532,533],{"class":381},"    }\n",[375,535,537],{"class":377,"line":536},15,[375,538,539],{"class":381},"  ],\n",[375,541,543,546,548],{"class":377,"line":542},16,[375,544,545],{"class":388},"  \"total\"",[375,547,407],{"class":381},[375,549,550],{"class":388},"1\n",[375,552,554],{"class":377,"line":553},17,[375,555,556],{"class":381},"}\n",[15,558,559,562,563,565,566,568],{},[19,560,561],{},"retryable"," is an estimate calculated from the retention period.",[28,564],{},"\nWhether a retry is allowed is determined when the retry request is made.",[28,567],{},"\nRetrying a job that is past its retention period returns 410.",[135,570,572],{"id":571},"get-apijobsid","GET \u002Fapi\u002Fjobs\u002F:id",[15,574,575,576,578],{},"Gets the details of one job.",[28,577],{},"\nIf the job is not found, the response is 404.",[366,580,582],{"className":368,"code":581,"language":370,"meta":371,"style":371},"{\n  \"job\": {\n    \"id\": \"MAIL#0:xxxxxxxxxxxxxxxxxxxxxxxx\",\n    \"binding\": \"MAIL\",\n    \"state\": \"FAILED\",\n    \"payload\": \"{\\\"to\\\":\\\"a@example.com\\\"}\",\n    \"result\": null,\n    \"priority\": 0,\n    \"attempts\": 3,\n    \"max_attempts\": 3,\n    \"progress\": null,\n    \"concurrency_key\": \"domain:example.com\",\n    \"unique_key\": null,\n    \"guarantee\": \"at-least-once\",\n    \"created_at\": 1753000000000,\n    \"updated_at\": 1753000060000,\n    \"dispatched_at\": 1753000030000,\n    \"run_after\": null,\n    \"expires_at\": null,\n    \"cancel_requested_at\": null,\n    \"traceparent\": \"00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01\",\n    \"retryable\": true,\n    \"logs\": [\n      {\n        \"attempt\": 1,\n        \"timestamp\": 1753000011000,\n        \"message\": \"Payment requested\"\n      }\n    ],\n    \"attempts_log\": [\n      {\n        \"attempt\": 1,\n        \"state\": \"FAILED\",\n        \"started_at\": 1753000010000,\n        \"finished_at\": 1753000012000,\n        \"error\": \"payment failed: 502\"\n      }\n    ]\n  }\n}\n",[19,583,584,588,596,607,618,629,662,674,685,696,707,718,730,741,753,764,775,786,798,810,822,835,848,856,862,875,888,899,905,911,919,924,935,947,960,973,984,989,995,1001],{"__ignoreMap":371},[375,585,586],{"class":377,"line":378},[375,587,382],{"class":381},[375,589,590,593],{"class":377,"line":385},[375,591,592],{"class":388},"  \"job\"",[375,594,595],{"class":381},": {\n",[375,597,598,601,603,605],{"class":377,"line":395},[375,599,600],{"class":388},"    \"id\"",[375,602,407],{"class":381},[375,604,411],{"class":410},[375,606,414],{"class":381},[375,608,609,612,614,616],{"class":377,"line":401},[375,610,611],{"class":388},"    \"binding\"",[375,613,407],{"class":381},[375,615,425],{"class":410},[375,617,414],{"class":381},[375,619,620,623,625,627],{"class":377,"line":417},[375,621,622],{"class":388},"    \"state\"",[375,624,407],{"class":381},[375,626,438],{"class":410},[375,628,414],{"class":381},[375,630,631,634,636,639,642,645,647,650,652,655,657,660],{"class":377,"line":430},[375,632,633],{"class":388},"    \"payload\"",[375,635,407],{"class":381},[375,637,638],{"class":410},"\"{",[375,640,641],{"class":388},"\\\"",[375,643,644],{"class":410},"to",[375,646,641],{"class":388},[375,648,649],{"class":410},":",[375,651,641],{"class":388},[375,653,654],{"class":410},"a@example.com",[375,656,641],{"class":388},[375,658,659],{"class":410},"}\"",[375,661,414],{"class":381},[375,663,664,667,669,672],{"class":377,"line":443},[375,665,666],{"class":388},"    \"result\"",[375,668,407],{"class":381},[375,670,671],{"class":388},"null",[375,673,414],{"class":381},[375,675,676,679,681,683],{"class":377,"line":455},[375,677,678],{"class":388},"    \"priority\"",[375,680,407],{"class":381},[375,682,289],{"class":388},[375,684,414],{"class":381},[375,686,687,690,692,694],{"class":377,"line":468},[375,688,689],{"class":388},"    \"attempts\"",[375,691,407],{"class":381},[375,693,463],{"class":388},[375,695,414],{"class":381},[375,697,698,701,703,705],{"class":377,"line":480},[375,699,700],{"class":388},"    \"max_attempts\"",[375,702,407],{"class":381},[375,704,463],{"class":388},[375,706,414],{"class":381},[375,708,709,712,714,716],{"class":377,"line":493},[375,710,711],{"class":388},"    \"progress\"",[375,713,407],{"class":381},[375,715,671],{"class":388},[375,717,414],{"class":381},[375,719,720,723,725,728],{"class":377,"line":506},[375,721,722],{"class":388},"    \"concurrency_key\"",[375,724,407],{"class":381},[375,726,727],{"class":410},"\"domain:example.com\"",[375,729,414],{"class":381},[375,731,732,735,737,739],{"class":377,"line":519},[375,733,734],{"class":388},"    \"unique_key\"",[375,736,407],{"class":381},[375,738,671],{"class":388},[375,740,414],{"class":381},[375,742,743,746,748,751],{"class":377,"line":530},[375,744,745],{"class":388},"    \"guarantee\"",[375,747,407],{"class":381},[375,749,750],{"class":410},"\"at-least-once\"",[375,752,414],{"class":381},[375,754,755,758,760,762],{"class":377,"line":536},[375,756,757],{"class":388},"    \"created_at\"",[375,759,407],{"class":381},[375,761,488],{"class":388},[375,763,414],{"class":381},[375,765,766,769,771,773],{"class":377,"line":542},[375,767,768],{"class":388},"    \"updated_at\"",[375,770,407],{"class":381},[375,772,501],{"class":388},[375,774,414],{"class":381},[375,776,777,780,782,784],{"class":377,"line":553},[375,778,779],{"class":388},"    \"dispatched_at\"",[375,781,407],{"class":381},[375,783,514],{"class":388},[375,785,414],{"class":381},[375,787,789,792,794,796],{"class":377,"line":788},18,[375,790,791],{"class":388},"    \"run_after\"",[375,793,407],{"class":381},[375,795,671],{"class":388},[375,797,414],{"class":381},[375,799,801,804,806,808],{"class":377,"line":800},19,[375,802,803],{"class":388},"    \"expires_at\"",[375,805,407],{"class":381},[375,807,671],{"class":388},[375,809,414],{"class":381},[375,811,813,816,818,820],{"class":377,"line":812},20,[375,814,815],{"class":388},"    \"cancel_requested_at\"",[375,817,407],{"class":381},[375,819,671],{"class":388},[375,821,414],{"class":381},[375,823,825,828,830,833],{"class":377,"line":824},21,[375,826,827],{"class":388},"    \"traceparent\"",[375,829,407],{"class":381},[375,831,832],{"class":410},"\"00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01\"",[375,834,414],{"class":381},[375,836,838,841,843,846],{"class":377,"line":837},22,[375,839,840],{"class":388},"    \"retryable\"",[375,842,407],{"class":381},[375,844,845],{"class":388},"true",[375,847,414],{"class":381},[375,849,851,854],{"class":377,"line":850},23,[375,852,853],{"class":388},"    \"logs\"",[375,855,392],{"class":381},[375,857,859],{"class":377,"line":858},24,[375,860,861],{"class":381},"      {\n",[375,863,865,868,870,873],{"class":377,"line":864},25,[375,866,867],{"class":388},"        \"attempt\"",[375,869,407],{"class":381},[375,871,872],{"class":388},"1",[375,874,414],{"class":381},[375,876,878,881,883,886],{"class":377,"line":877},26,[375,879,880],{"class":388},"        \"timestamp\"",[375,882,407],{"class":381},[375,884,885],{"class":388},"1753000011000",[375,887,414],{"class":381},[375,889,891,894,896],{"class":377,"line":890},27,[375,892,893],{"class":388},"        \"message\"",[375,895,407],{"class":381},[375,897,898],{"class":410},"\"Payment requested\"\n",[375,900,902],{"class":377,"line":901},28,[375,903,904],{"class":381},"      }\n",[375,906,908],{"class":377,"line":907},29,[375,909,910],{"class":381},"    ],\n",[375,912,914,917],{"class":377,"line":913},30,[375,915,916],{"class":388},"    \"attempts_log\"",[375,918,392],{"class":381},[375,920,922],{"class":377,"line":921},31,[375,923,861],{"class":381},[375,925,927,929,931,933],{"class":377,"line":926},32,[375,928,867],{"class":388},[375,930,407],{"class":381},[375,932,872],{"class":388},[375,934,414],{"class":381},[375,936,938,941,943,945],{"class":377,"line":937},33,[375,939,940],{"class":388},"        \"state\"",[375,942,407],{"class":381},[375,944,438],{"class":410},[375,946,414],{"class":381},[375,948,950,953,955,958],{"class":377,"line":949},34,[375,951,952],{"class":388},"        \"started_at\"",[375,954,407],{"class":381},[375,956,957],{"class":388},"1753000010000",[375,959,414],{"class":381},[375,961,963,966,968,971],{"class":377,"line":962},35,[375,964,965],{"class":388},"        \"finished_at\"",[375,967,407],{"class":381},[375,969,970],{"class":388},"1753000012000",[375,972,414],{"class":381},[375,974,976,979,981],{"class":377,"line":975},36,[375,977,978],{"class":388},"        \"error\"",[375,980,407],{"class":381},[375,982,983],{"class":410},"\"payment failed: 502\"\n",[375,985,987],{"class":377,"line":986},37,[375,988,904],{"class":381},[375,990,992],{"class":377,"line":991},38,[375,993,994],{"class":381},"    ]\n",[375,996,998],{"class":377,"line":997},39,[375,999,1000],{"class":381},"  }\n",[375,1002,1004],{"class":377,"line":1003},40,[375,1005,556],{"class":381},[59,1007,1008,1017],{},[62,1009,1010],{},[65,1011,1012,1015],{},[68,1013,1014],{},"Field",[68,1016,164],{},[75,1018,1019,1036,1046,1060,1078,1088,1106],{},[65,1020,1021,1026],{},[80,1022,1023],{},[19,1024,1025],{},"result",[80,1027,1028,1029,1032,1033,1035],{},"The return value of ",[19,1030,1031],{},"perform",". ",[19,1034,671],{}," unless the job succeeded",[65,1037,1038,1043],{},[80,1039,1040],{},[19,1041,1042],{},"run_after",[80,1044,1045],{},"The scheduled execution time of a scheduled job",[65,1047,1048,1053],{},[80,1049,1050],{},[19,1051,1052],{},"expires_at",[80,1054,1055,1056,1059],{},"The deadline for starting execution. A job past its deadline transitions to ",[19,1057,1058],{},"CANCELLED"," without being executed",[65,1061,1062,1067],{},[80,1063,1064],{},[19,1065,1066],{},"cancel_requested_at",[80,1068,1069,1070,1074,1075,1077],{},"The time at which ",[47,1071,1073],{"href":1072},"\u002Fen\u002Fguide\u002Fexecution#%E5%AE%9F%E8%A1%8C%E4%B8%AD%E3%81%AE%E5%8F%96%E3%82%8A%E6%B6%88%E3%81%97","cancellation of a running job"," was requested. ",[19,1076,671],{}," if not requested",[65,1079,1080,1085],{},[80,1081,1082],{},[19,1083,1084],{},"attempts_log",[80,1086,1087],{},"The attempt history, newest attempt first",[65,1089,1090,1095],{},[80,1091,1092],{},[19,1093,1094],{},"logs",[80,1096,1097,1098,1101,1102],{},"Logs saved with ",[19,1099,1100],{},"ctx.log()",". In the order received; each entry has the attempt number, the recording time (epoch milliseconds), and the message. An empty array if there are no logs. For the limits on the number of entries and the message length, see ",[47,1103,1105],{"href":1104},"\u002Fen\u002Fguide\u002Fperformer#%E3%83%AD%E3%82%B0","Logs",[65,1107,1108,1113],{},[80,1109,1110],{},[19,1111,1112],{},"traceparent",[80,1114,1115,1116,1118],{},"The trace information specified at enqueue. ",[19,1117,671],{}," if not specified",[135,1120,1122],{"id":1121},"post-apijobs","POST \u002Fapi\u002Fjobs",[15,1124,1125,1126,1128],{},"Enqueues a job.",[28,1127],{},"\nThe request body is JSON in the following format:",[366,1130,1132],{"className":368,"code":1131,"language":370,"meta":371,"style":371},"{\n  \"binding\": \"MAIL\",\n  \"payload\": { \"to\": \"a@example.com\", \"subject\": \"hi\" },\n  \"maxAttempts\": 5,\n  \"delayMs\": 60000,\n  \"expiresInMs\": 600000,\n  \"priority\": 10,\n  \"concurrencyKey\": \"domain:example.com\",\n  \"uniqueKey\": \"mail:a@example.com:hi\",\n  \"partitionKey\": \"tenant-42\",\n  \"traceparent\": \"00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01\"\n}\n",[19,1133,1134,1138,1149,1178,1190,1202,1214,1226,1237,1249,1261,1271],{"__ignoreMap":371},[375,1135,1136],{"class":377,"line":378},[375,1137,382],{"class":381},[375,1139,1140,1143,1145,1147],{"class":377,"line":385},[375,1141,1142],{"class":388},"  \"binding\"",[375,1144,407],{"class":381},[375,1146,425],{"class":410},[375,1148,414],{"class":381},[375,1150,1151,1154,1157,1160,1162,1165,1167,1170,1172,1175],{"class":377,"line":395},[375,1152,1153],{"class":388},"  \"payload\"",[375,1155,1156],{"class":381},": { ",[375,1158,1159],{"class":388},"\"to\"",[375,1161,407],{"class":381},[375,1163,1164],{"class":410},"\"a@example.com\"",[375,1166,310],{"class":381},[375,1168,1169],{"class":388},"\"subject\"",[375,1171,407],{"class":381},[375,1173,1174],{"class":410},"\"hi\"",[375,1176,1177],{"class":381}," },\n",[375,1179,1180,1183,1185,1188],{"class":377,"line":401},[375,1181,1182],{"class":388},"  \"maxAttempts\"",[375,1184,407],{"class":381},[375,1186,1187],{"class":388},"5",[375,1189,414],{"class":381},[375,1191,1192,1195,1197,1200],{"class":377,"line":417},[375,1193,1194],{"class":388},"  \"delayMs\"",[375,1196,407],{"class":381},[375,1198,1199],{"class":388},"60000",[375,1201,414],{"class":381},[375,1203,1204,1207,1209,1212],{"class":377,"line":430},[375,1205,1206],{"class":388},"  \"expiresInMs\"",[375,1208,407],{"class":381},[375,1210,1211],{"class":388},"600000",[375,1213,414],{"class":381},[375,1215,1216,1219,1221,1224],{"class":377,"line":443},[375,1217,1218],{"class":388},"  \"priority\"",[375,1220,407],{"class":381},[375,1222,1223],{"class":388},"10",[375,1225,414],{"class":381},[375,1227,1228,1231,1233,1235],{"class":377,"line":455},[375,1229,1230],{"class":388},"  \"concurrencyKey\"",[375,1232,407],{"class":381},[375,1234,727],{"class":410},[375,1236,414],{"class":381},[375,1238,1239,1242,1244,1247],{"class":377,"line":468},[375,1240,1241],{"class":388},"  \"uniqueKey\"",[375,1243,407],{"class":381},[375,1245,1246],{"class":410},"\"mail:a@example.com:hi\"",[375,1248,414],{"class":381},[375,1250,1251,1254,1256,1259],{"class":377,"line":480},[375,1252,1253],{"class":388},"  \"partitionKey\"",[375,1255,407],{"class":381},[375,1257,1258],{"class":410},"\"tenant-42\"",[375,1260,414],{"class":381},[375,1262,1263,1266,1268],{"class":377,"line":493},[375,1264,1265],{"class":388},"  \"traceparent\"",[375,1267,407],{"class":381},[375,1269,1270],{"class":410},"\"00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01\"\n",[375,1272,1273],{"class":377,"line":506},[375,1274,556],{"class":381},[15,1276,1277,1279,1280,1283,1284,26,1287,1289,310,1292,310,1295,1298,1299,1301,1302,1304,1305,1279,1308,1311],{},[19,1278,186],{}," and ",[19,1281,1282],{},"payload"," are required; specify a binding registered in ",[19,1285,1286],{},"performers",[28,1288],{},[19,1290,1291],{},"maxAttempts",[19,1293,1294],{},"delayMs",[19,1296,1297],{},"expiresInMs",", and ",[19,1300,319],{}," must be integers.",[28,1303],{},"\nFields that are not in the example above (such as ",[19,1306,1307],{},"timeoutMs",[19,1309,1310],{},"backoff",") are ignored, and the default values are used.",[15,1313,1314,1316,1317,1319,1320,26,1322,1324,1327,1328,1331],{},[19,1315,1297],{}," is the deadline for execution, counted from the time the job is enqueued.",[28,1318],{},"\nA job past its deadline is not executed and transitions to ",[19,1321,1058],{},[28,1323],{},[19,1325,1326],{},"partitionKey"," is the key that determines which shard a job is enqueued to, for a binding with ",[19,1329,1330],{},"shards"," set to 2 or more, and it is required for that binding.",[15,1333,1334,1336,1337,1339,1340,1342,1343,1345,1346,1349,1350,1354,1355,1357,1358,26],{},[19,1335,1112],{}," is optional.",[28,1338],{},"\nIf it is not specified in the body, the value of the ",[19,1341,1112],{}," header is used; if both are specified, the value in the body takes precedence.",[28,1344],{},"\nUse the W3C Trace Context version ",[19,1347,1348],{},"00"," format described in ",[47,1351,1353],{"href":1352},"\u002Fen\u002Fguide\u002Fenqueue#%E3%83%88%E3%83%AC%E3%83%BC%E3%82%B9%E6%83%85%E5%A0%B1","Enqueuing jobs"," for the value.",[28,1356],{},"\nThe specified value is carried over on retries and passed to the performer as ",[19,1359,1360],{},"ctx.traceparent",[15,1362,1363,1364,1366],{},"If ",[19,1365,218],{}," matches an existing job, the response is also 201, no new job is created, and the body contains the existing job ID.",[59,1368,1369,1377],{},[62,1370,1371],{},[65,1372,1373,1375],{},[68,1374,70],{},[68,1376,73],{},[75,1378,1379,1390],{},[65,1380,1381,1384],{},[80,1382,1383],{},"201",[80,1385,1386,1387],{},"Created. The body is ",[19,1388,1389],{},"{ \"id\": \"...\" }",[65,1391,1392,1395],{},[80,1393,1394],{},"400",[80,1396,1397,1398,1400],{},"Invalid JSON, or validation failure (unregistered binding, non-integer value, invalid ",[19,1399,1112],{},")",[135,1402,1404],{"id":1403},"post-apijobsidretry","POST \u002Fapi\u002Fjobs\u002F:id\u002Fretry",[15,1406,1407,1408,353,1411,1414,1415,1418,1419,1421],{},"Transitions a ",[19,1409,1410],{},"FAILED",[19,1412,1413],{},"STALLED"," job to the ",[19,1416,1417],{},"SCHEDULED"," state.",[28,1420],{},"\nA job that was deleted after its retention period cannot be retried.",[59,1423,1424,1432],{},[62,1425,1426],{},[65,1427,1428,1430],{},[68,1429,70],{},[68,1431,73],{},[75,1433,1434,1442,1449,1462],{},[65,1435,1436,1439],{},[80,1437,1438],{},"200",[80,1440,1441],{},"Retried",[65,1443,1444,1446],{},[80,1445,1394],{},[80,1447,1448],{},"Invalid job ID format",[65,1450,1451,1454],{},[80,1452,1453],{},"409",[80,1455,1456,1457,1459,1460],{},"The job state is neither ",[19,1458,1410],{}," nor ",[19,1461,1413],{},[65,1463,1464,1467],{},[80,1465,1466],{},"410",[80,1468,1469],{},"The job does not exist, or was deleted after its retention period",[15,1471,1472],{},"For 409, wait until the job's state changes, then request again.",[135,1474,1476],{"id":1475},"post-apijobsidcancel","POST \u002Fapi\u002Fjobs\u002F:id\u002Fcancel",[15,1478,1479,1480,1482,1483,310,1485,1488,1489,26],{},"Cancels a job.",[28,1481],{},"\nThe targets are jobs in ",[19,1484,1417],{},[19,1486,1487],{},"QUEUED",", or ",[19,1490,1491],{},"RUNNING",[15,1493,1494,1495,1497,1498,1500,1501,1503,1279,1505,1507,1508,1510,1511,26,1514,1516,1517,1519,1520,1523,1524,1526,1527,26],{},"A ",[19,1496,1417],{}," job transitions to ",[19,1499,1058],{}," immediately.",[28,1502],{},[19,1504,1487],{},[19,1506,1491],{}," jobs may already be executing, so the cancellation is recorded as a request.",[28,1509],{},"\nIn this case, the response includes ",[19,1512,1513],{},"requested: true",[28,1515],{},"\nThe job transitions to ",[19,1518,1058],{}," when the performer acknowledges the request and finishes, or when no result is reported within ",[19,1521,1522],{},"reaperGraceMs"," (default 30 seconds) of the request.",[28,1525],{},"\nFor details, see ",[47,1528,1529],{"href":1072},"Cancelling a running job",[366,1531,1533],{"className":368,"code":1532,"language":370,"meta":371,"style":371},"{ \"ok\": true, \"requested\": true }\n",[19,1534,1535],{"__ignoreMap":371},[375,1536,1537,1540,1543,1545,1547,1549,1552,1554,1556],{"class":377,"line":378},[375,1538,1539],{"class":381},"{ ",[375,1541,1542],{"class":388},"\"ok\"",[375,1544,407],{"class":381},[375,1546,845],{"class":388},[375,1548,310],{"class":381},[375,1550,1551],{"class":388},"\"requested\"",[375,1553,407],{"class":381},[375,1555,845],{"class":388},[375,1557,1558],{"class":381}," }\n",[15,1560,1561,1562,26,1564,1566,1567,1569,1570,26],{},"If cancellation is requested again for a job whose cancellation has already been requested, the response is also ",[19,1563,1513],{},[28,1565],{},"\nA request for a job that has finished returns 409.",[28,1568],{},"\nAll other responses are the same as for ",[19,1571,1572],{},"retry",[135,1574,1576],{"id":1575},"post-apijobsbulk-retry","POST \u002Fapi\u002Fjobs\u002Fbulk-retry",[135,1578,1580],{"id":1579},"post-apijobsbulk-cancel","POST \u002Fapi\u002Fjobs\u002Fbulk-cancel",[15,1582,1583,1584,1586],{},"Retries or cancels multiple jobs at once.",[28,1585],{},"\nSpecify the targets either as an array of job IDs or as filter conditions.",[15,1588,1589,1590,1593,1594,26],{},"To specify by job ID, provide ",[19,1591,1592],{},"ids","; to specify by filter conditions, omit ",[19,1595,1592],{},[366,1597,1599],{"className":368,"code":1598,"language":370,"meta":371,"style":371},"{ \"ids\": [\"MAIL#0:xxxxxxxxxxxxxxxxxxxxxxxx\", \"MAIL#0:yyyyyyyyyyyyyyyyyyyyyyyy\"] }\n",[19,1600,1601],{"__ignoreMap":371},[375,1602,1603,1605,1608,1611,1613,1615,1618],{"class":377,"line":378},[375,1604,1539],{"class":381},[375,1606,1607],{"class":388},"\"ids\"",[375,1609,1610],{"class":381},": [",[375,1612,411],{"class":410},[375,1614,310],{"class":381},[375,1616,1617],{"class":410},"\"MAIL#0:yyyyyyyyyyyyyyyyyyyyyyyy\"",[375,1619,1620],{"class":381},"] }\n",[366,1622,1624],{"className":368,"code":1623,"language":370,"meta":371,"style":371},"{ \"binding\": \"MAIL\", \"state\": \"FAILED\", \"created_from\": 1753000000000, \"limit\": 200 }\n",[19,1625,1626],{"__ignoreMap":371},[375,1627,1628,1630,1633,1635,1637,1639,1642,1644,1646,1648,1651,1653,1655,1657,1660,1662,1664],{"class":377,"line":378},[375,1629,1539],{"class":381},[375,1631,1632],{"class":388},"\"binding\"",[375,1634,407],{"class":381},[375,1636,425],{"class":410},[375,1638,310],{"class":381},[375,1640,1641],{"class":388},"\"state\"",[375,1643,407],{"class":381},[375,1645,438],{"class":410},[375,1647,310],{"class":381},[375,1649,1650],{"class":388},"\"created_from\"",[375,1652,407],{"class":381},[375,1654,488],{"class":388},[375,1656,310],{"class":381},[375,1658,1659],{"class":388},"\"limit\"",[375,1661,407],{"class":381},[375,1663,1438],{"class":388},[375,1665,1558],{"class":381},[59,1667,1668,1679],{},[62,1669,1670],{},[65,1671,1672,1674,1677],{},[68,1673,1014],{},[68,1675,1676],{},"Required",[68,1678,164],{},[75,1680,1681,1693,1703,1731,1742,1752,1764,1776],{},[65,1682,1683,1687,1690],{},[80,1684,1685],{},[19,1686,1592],{},[80,1688,1689],{},"Optional",[80,1691,1692],{},"An array of job IDs. 1 to 200 entries",[65,1694,1695,1699,1701],{},[80,1696,1697],{},[19,1698,186],{},[80,1700,1689],{},[80,1702,191],{},[65,1704,1705,1709,1711],{},[80,1706,1707],{},[19,1708,173],{},[80,1710,1689],{},[80,1712,1713,1714,407,1717,310,1719,1721,1722,407,1725,310,1727,310,1729],{},"For ",[19,1715,1716],{},"bulk-retry",[19,1718,1410],{},[19,1720,1413],{},". For ",[19,1723,1724],{},"bulk-cancel",[19,1726,1417],{},[19,1728,1487],{},[19,1730,1491],{},[65,1732,1733,1737,1739],{},[80,1734,1735],{},[19,1736,210],{},[80,1738,1689],{},[80,1740,1741],{},"Exact match",[65,1743,1744,1748,1750],{},[80,1745,1746],{},[19,1747,225],{},[80,1749,1689],{},[80,1751,1741],{},[65,1753,1754,1758,1760],{},[80,1755,1756],{},[19,1757,239],{},[80,1759,1689],{},[80,1761,244,1762],{},[19,1763,247],{},[65,1765,1766,1770,1772],{},[80,1767,1768],{},[19,1769,255],{},[80,1771,1689],{},[80,1773,260,1774],{},[19,1775,247],{},[65,1777,1778,1782,1784],{},[80,1779,1780],{},[19,1781,269],{},[80,1783,1689],{},[80,1785,1786],{},"The number of jobs to process in one request. At least 1; the default and the maximum are both 200",[15,1788,17,1789,1791,1792,1794,1795,310,1797,1298,1799,26],{},[19,1790,1592],{}," is specified, the other conditions are ignored.",[28,1793],{},"\nSpecify integers for ",[19,1796,239],{},[19,1798,255],{},[19,1800,269],{},[15,1802,1363,1803,1805,1806,1808,1809,1279,1811,1298,1813,1808,1815,310,1817,1298,1819,26,1821,1823,1824,1826,1827,1829,1830,1833,1834,1826,1836,1838,1839,1841,1842,1844,1845,1847],{},[19,1804,173],{}," is omitted from the conditions, ",[19,1807,1716],{}," targets jobs in ",[19,1810,1410],{},[19,1812,1413],{},[19,1814,1724],{},[19,1816,1417],{},[19,1818,1487],{},[19,1820,1491],{},[28,1822],{},"\nIf any other state is specified, the response is 400.",[28,1825],{},"\nIn ",[19,1828,1716],{},", jobs that are past ",[19,1831,1832],{},"failedRetentionMs"," are excluded from the targets.",[28,1835],{},[19,1837,1724],{},", jobs for which cancellation has already been requested are excluded until ",[19,1840,1058],{}," is finalized.",[28,1843],{},"\nWhen jobs are specified directly with ",[19,1846,1592],{},", requesting again for a job that has already been requested does not process it twice.",[366,1849,1851],{"className":368,"code":1850,"language":370,"meta":371,"style":371},"{\n  \"ok\": [\"MAIL#0:xxxxxxxxxxxxxxxxxxxxxxxx\"],\n  \"failed\": [{ \"id\": \"MAIL#0:yyyyyyyyyyyyyyyyyyyyyyyy\", \"reason\": \"gone\" }],\n  \"remaining\": 320\n}\n",[19,1852,1853,1857,1869,1897,1907],{"__ignoreMap":371},[375,1854,1855],{"class":377,"line":378},[375,1856,382],{"class":381},[375,1858,1859,1862,1864,1866],{"class":377,"line":385},[375,1860,1861],{"class":388},"  \"ok\"",[375,1863,1610],{"class":381},[375,1865,411],{"class":410},[375,1867,1868],{"class":381},"],\n",[375,1870,1871,1874,1877,1880,1882,1884,1886,1889,1891,1894],{"class":377,"line":395},[375,1872,1873],{"class":388},"  \"failed\"",[375,1875,1876],{"class":381},": [{ ",[375,1878,1879],{"class":388},"\"id\"",[375,1881,407],{"class":381},[375,1883,1617],{"class":410},[375,1885,310],{"class":381},[375,1887,1888],{"class":388},"\"reason\"",[375,1890,407],{"class":381},[375,1892,1893],{"class":410},"\"gone\"",[375,1895,1896],{"class":381}," }],\n",[375,1898,1899,1902,1904],{"class":377,"line":401},[375,1900,1901],{"class":388},"  \"remaining\"",[375,1903,407],{"class":381},[375,1905,1906],{"class":388},"320\n",[375,1908,1909],{"class":377,"line":417},[375,1910,556],{"class":381},[15,1912,1913,1914,1826,1916,1918,1919,26,1922,1924,1925,1928,1929,1932,1933,1935,1279,1938,1941,1942,1944,1945,1947,1948,1950,1951,26],{},"Even if processing fails for some of the jobs, the status code is 200.",[28,1915],{},[19,1917,1724],{},", jobs whose cancellation was recorded as a request are also included in ",[19,1920,1921],{},"ok",[28,1923],{},"\nThe ",[19,1926,1927],{},"reason"," in ",[19,1930,1931],{},"failed"," corresponds to the errors returned by the endpoints that retry and cancel a single job.",[28,1934],{},[19,1936,1937],{},"invalid-state",[19,1939,1940],{},"gone"," correspond to 409 and 410, respectively.",[28,1943],{},"\nIf ",[19,1946,1592],{}," contains a value that is not a valid job ID, that value is included in ",[19,1949,1931],{}," as ",[19,1952,1953],{},"invalid-id",[15,1955,1956,1959,1960,1962,1963,1965,1966,1968,1969,310,1971,1973,1974,1976,1977,1979],{},[19,1957,1958],{},"remaining"," is the number of jobs that were not processed because they exceeded ",[19,1961,269],{},", when the targets are specified by conditions.",[28,1964],{},"\nResend the same request until it reaches 0.",[28,1967],{},"\nWhen the targets are specified by ",[19,1970,1592],{},[19,1972,1958],{}," is always 0.",[28,1975],{},"\nA job that does not match the conditions at the time of the request is included in ",[19,1978,1931],{},", even if it appears in the list.",[135,1981,1983],{"id":1982},"post-apijobsidreschedule","POST \u002Fapi\u002Fjobs\u002F:id\u002Freschedule",[15,1985,1986,1987,1989],{},"Changes the execution time of a scheduled job. The target is a ",[19,1988,1417],{}," job.",[366,1991,1993],{"className":368,"code":1992,"language":370,"meta":371,"style":371},"{ \"runAt\": 1753003600000, \"priority\": 10 }\n",[19,1994,1995],{"__ignoreMap":371},[375,1996,1997,1999,2002,2004,2007,2009,2012,2014,2016],{"class":377,"line":378},[375,1998,1539],{"class":381},[375,2000,2001],{"class":388},"\"runAt\"",[375,2003,407],{"class":381},[375,2005,2006],{"class":388},"1753003600000",[375,2008,310],{"class":381},[375,2010,2011],{"class":388},"\"priority\"",[375,2013,407],{"class":381},[375,2015,1223],{"class":388},[375,2017,1558],{"class":381},[59,2019,2020,2030],{},[62,2021,2022],{},[65,2023,2024,2026,2028],{},[68,2025,1014],{},[68,2027,1676],{},[68,2029,164],{},[75,2031,2032,2047,2060],{},[65,2033,2034,2039,2042],{},[80,2035,2036],{},[19,2037,2038],{},"runAt",[80,2040,2041],{},"Conditional",[80,2043,2044,2045],{},"An absolute time. Cannot be specified together with ",[19,2046,1294],{},[65,2048,2049,2053,2055],{},[80,2050,2051],{},[19,2052,1294],{},[80,2054,2041],{},[80,2056,2057,2058],{},"A time relative to the current time. Cannot be specified together with ",[19,2059,2038],{},[65,2061,2062,2066,2068],{},[80,2063,2064],{},[19,2065,319],{},[80,2067,1689],{},[80,2069,2070],{},"Specify to change the priority at the same time",[15,2072,2073,2074,1279,2076,26,2078,2080,2081,2083,310,2085,1298,2087,1301],{},"Specify exactly one of ",[19,2075,2038],{},[19,2077,1294],{},[28,2079],{},"\nIf both are specified, or neither is specified, the response is 400.",[28,2082],{},[19,2084,2038],{},[19,2086,1294],{},[19,2088,319],{},[15,2090,2091,2092,2094,2095,2097,2098,2100,2101,26],{},"The job ID does not change.",[28,2093],{},"\nDuplicate detection by ",[19,2096,218],{}," also continues.",[28,2099],{},"\nThe status codes are the same as for ",[19,2102,1572],{},[54,2104,2106],{"id":2105},"集計と診断","Statistics and diagnostics",[135,2108,2110],{"id":2109},"get-apistats","GET \u002Fapi\u002Fstats",[15,2112,2113],{},"Gets the number of jobs in each state.",[366,2115,2117],{"className":368,"code":2116,"language":370,"meta":371,"style":371},"{\n  \"byState\": { \"SCHEDULED\": 12, \"RUNNING\": 3, \"COMPLETED\": 480, \"FAILED\": 2 },\n  \"oldestScheduledMs\": 45000\n}\n",[19,2118,2119,2123,2168,2178],{"__ignoreMap":371},[375,2120,2121],{"class":377,"line":378},[375,2122,382],{"class":381},[375,2124,2125,2128,2130,2133,2135,2138,2140,2143,2145,2147,2149,2152,2154,2157,2159,2161,2163,2166],{"class":377,"line":385},[375,2126,2127],{"class":388},"  \"byState\"",[375,2129,1156],{"class":381},[375,2131,2132],{"class":388},"\"SCHEDULED\"",[375,2134,407],{"class":381},[375,2136,2137],{"class":388},"12",[375,2139,310],{"class":381},[375,2141,2142],{"class":388},"\"RUNNING\"",[375,2144,407],{"class":381},[375,2146,463],{"class":388},[375,2148,310],{"class":381},[375,2150,2151],{"class":388},"\"COMPLETED\"",[375,2153,407],{"class":381},[375,2155,2156],{"class":388},"480",[375,2158,310],{"class":381},[375,2160,438],{"class":388},[375,2162,407],{"class":381},[375,2164,2165],{"class":388},"2",[375,2167,1177],{"class":381},[375,2169,2170,2173,2175],{"class":377,"line":395},[375,2171,2172],{"class":388},"  \"oldestScheduledMs\"",[375,2174,407],{"class":381},[375,2176,2177],{"class":388},"45000\n",[375,2179,2180],{"class":377,"line":401},[375,2181,556],{"class":381},[15,2183,2184,2187,2188,2190,2191,2193,2194,2196,2197,26],{},[19,2185,2186],{},"oldestScheduledMs"," is the time in milliseconds that has elapsed since the oldest ",[19,2189,1417],{}," job was enqueued.",[28,2192],{},"\nIf there are no ",[19,2195,1417],{}," jobs, the value is ",[19,2198,671],{},[135,2200,2202],{"id":2201},"get-apimetrics","GET \u002Fapi\u002Fmetrics",[15,2204,2205],{},"Gets the failure rate and duration for each binding, based on the recorded metrics.",[146,2207,149],{"id":2208},"クエリパラメータ-1",[59,2210,2211,2221],{},[62,2212,2213],{},[65,2214,2215,2217,2219],{},[68,2216,158],{},[68,2218,161],{},[68,2220,164],{},[75,2222,2223,2238],{},[65,2224,2225,2230,2235],{},[80,2226,2227],{},[19,2228,2229],{},"hours",[80,2231,2232],{},[19,2233,2234],{},"24",[80,2236,2237],{},"The number of hours to aggregate. An integer from 1 to 720",[65,2239,2240,2244,2246],{},[80,2241,2242],{},[19,2243,186],{},[80,2245,176],{},[80,2247,191],{},[366,2249,2251],{"className":368,"code":2250,"language":370,"meta":371,"style":371},"{\n  \"hours\": 24,\n  \"bindings\": [\n    {\n      \"binding\": \"MAIL\",\n      \"total\": 1200,\n      \"failed\": 18,\n      \"failureRate\": 0.015,\n      \"avgDurationMs\": 820,\n      \"maxDurationMs\": 5400,\n      \"p95DurationMs\": 2100,\n      \"avgAttempts\": 1.04\n    }\n  ],\n  \"series\": [{ \"at\": 1753000000000, \"total\": 50, \"failed\": 1, \"avgDurationMs\": 810 }]\n}\n",[19,2252,2253,2257,2268,2275,2279,2289,2301,2313,2325,2337,2349,2361,2371,2375,2379,2425],{"__ignoreMap":371},[375,2254,2255],{"class":377,"line":378},[375,2256,382],{"class":381},[375,2258,2259,2262,2264,2266],{"class":377,"line":385},[375,2260,2261],{"class":388},"  \"hours\"",[375,2263,407],{"class":381},[375,2265,2234],{"class":388},[375,2267,414],{"class":381},[375,2269,2270,2273],{"class":377,"line":395},[375,2271,2272],{"class":388},"  \"bindings\"",[375,2274,392],{"class":381},[375,2276,2277],{"class":377,"line":401},[375,2278,398],{"class":381},[375,2280,2281,2283,2285,2287],{"class":377,"line":417},[375,2282,420],{"class":388},[375,2284,407],{"class":381},[375,2286,425],{"class":410},[375,2288,414],{"class":381},[375,2290,2291,2294,2296,2299],{"class":377,"line":430},[375,2292,2293],{"class":388},"      \"total\"",[375,2295,407],{"class":381},[375,2297,2298],{"class":388},"1200",[375,2300,414],{"class":381},[375,2302,2303,2306,2308,2311],{"class":377,"line":443},[375,2304,2305],{"class":388},"      \"failed\"",[375,2307,407],{"class":381},[375,2309,2310],{"class":388},"18",[375,2312,414],{"class":381},[375,2314,2315,2318,2320,2323],{"class":377,"line":455},[375,2316,2317],{"class":388},"      \"failureRate\"",[375,2319,407],{"class":381},[375,2321,2322],{"class":388},"0.015",[375,2324,414],{"class":381},[375,2326,2327,2330,2332,2335],{"class":377,"line":468},[375,2328,2329],{"class":388},"      \"avgDurationMs\"",[375,2331,407],{"class":381},[375,2333,2334],{"class":388},"820",[375,2336,414],{"class":381},[375,2338,2339,2342,2344,2347],{"class":377,"line":480},[375,2340,2341],{"class":388},"      \"maxDurationMs\"",[375,2343,407],{"class":381},[375,2345,2346],{"class":388},"5400",[375,2348,414],{"class":381},[375,2350,2351,2354,2356,2359],{"class":377,"line":493},[375,2352,2353],{"class":388},"      \"p95DurationMs\"",[375,2355,407],{"class":381},[375,2357,2358],{"class":388},"2100",[375,2360,414],{"class":381},[375,2362,2363,2366,2368],{"class":377,"line":506},[375,2364,2365],{"class":388},"      \"avgAttempts\"",[375,2367,407],{"class":381},[375,2369,2370],{"class":388},"1.04\n",[375,2372,2373],{"class":377,"line":519},[375,2374,533],{"class":381},[375,2376,2377],{"class":377,"line":530},[375,2378,539],{"class":381},[375,2380,2381,2384,2386,2389,2391,2393,2395,2398,2400,2403,2405,2408,2410,2412,2414,2417,2419,2422],{"class":377,"line":536},[375,2382,2383],{"class":388},"  \"series\"",[375,2385,1876],{"class":381},[375,2387,2388],{"class":388},"\"at\"",[375,2390,407],{"class":381},[375,2392,488],{"class":388},[375,2394,310],{"class":381},[375,2396,2397],{"class":388},"\"total\"",[375,2399,407],{"class":381},[375,2401,2402],{"class":388},"50",[375,2404,310],{"class":381},[375,2406,2407],{"class":388},"\"failed\"",[375,2409,407],{"class":381},[375,2411,872],{"class":388},[375,2413,310],{"class":381},[375,2415,2416],{"class":388},"\"avgDurationMs\"",[375,2418,407],{"class":381},[375,2420,2421],{"class":388},"810",[375,2423,2424],{"class":381}," }]\n",[375,2426,2427],{"class":377,"line":542},[375,2428,556],{"class":381},[15,2430,2431,2432,1944,2434,2436,2437,2439,2440,2442,2443,2446,2447,2449],{},"Even for periods in which metrics are sampled, the values are close to the actual counts.",[28,2433],{},[19,2435,2229],{}," is out of range, or ",[19,2438,186],{}," is an invalid name, the response is 400.",[28,2441],{},"\nIn a configuration without ",[19,2444,2445],{},"metrics",", the response is 501.",[28,2448],{},"\n502 is the response when the metrics could not be retrieved, and the body includes the reason.",[135,2451,2453],{"id":2452},"get-apidiagnostics","GET \u002Fapi\u002Fdiagnostics",[15,2455,2456],{},"Gets, for each binding, the reasons that waiting jobs are not being executed. It also includes the number of running jobs and the current throughput settings.",[366,2458,2460],{"className":368,"code":2459,"language":370,"meta":371,"style":371},"{\n  \"bindings\": {\n    \"MAIL\": {\n      \"active\": 2,\n      \"blocked\": { \"paused\": false, \"capacity\": true, \"tokens\": false, \"perKey\": false, \"perKeyTokens\": false },\n      \"policy\": {\n        \"paused\": false,\n        \"concurrency\": 100,\n        \"perKeyConcurrency\": 1,\n        \"rate\": null,\n        \"perKeyRate\": null,\n        \"agingIntervalMs\": 60000,\n        \"reaperGraceMs\": 30000\n      }\n    }\n  }\n}\n",[19,2461,2462,2466,2472,2479,2490,2543,2550,2561,2573,2584,2595,2606,2617,2627,2631,2635,2639],{"__ignoreMap":371},[375,2463,2464],{"class":377,"line":378},[375,2465,382],{"class":381},[375,2467,2468,2470],{"class":377,"line":385},[375,2469,2272],{"class":388},[375,2471,595],{"class":381},[375,2473,2474,2477],{"class":377,"line":395},[375,2475,2476],{"class":388},"    \"MAIL\"",[375,2478,595],{"class":381},[375,2480,2481,2484,2486,2488],{"class":377,"line":401},[375,2482,2483],{"class":388},"      \"active\"",[375,2485,407],{"class":381},[375,2487,2165],{"class":388},[375,2489,414],{"class":381},[375,2491,2492,2495,2497,2500,2502,2505,2507,2510,2512,2514,2516,2519,2521,2523,2525,2528,2530,2532,2534,2537,2539,2541],{"class":377,"line":417},[375,2493,2494],{"class":388},"      \"blocked\"",[375,2496,1156],{"class":381},[375,2498,2499],{"class":388},"\"paused\"",[375,2501,407],{"class":381},[375,2503,2504],{"class":388},"false",[375,2506,310],{"class":381},[375,2508,2509],{"class":388},"\"capacity\"",[375,2511,407],{"class":381},[375,2513,845],{"class":388},[375,2515,310],{"class":381},[375,2517,2518],{"class":388},"\"tokens\"",[375,2520,407],{"class":381},[375,2522,2504],{"class":388},[375,2524,310],{"class":381},[375,2526,2527],{"class":388},"\"perKey\"",[375,2529,407],{"class":381},[375,2531,2504],{"class":388},[375,2533,310],{"class":381},[375,2535,2536],{"class":388},"\"perKeyTokens\"",[375,2538,407],{"class":381},[375,2540,2504],{"class":388},[375,2542,1177],{"class":381},[375,2544,2545,2548],{"class":377,"line":430},[375,2546,2547],{"class":388},"      \"policy\"",[375,2549,595],{"class":381},[375,2551,2552,2555,2557,2559],{"class":377,"line":443},[375,2553,2554],{"class":388},"        \"paused\"",[375,2556,407],{"class":381},[375,2558,2504],{"class":388},[375,2560,414],{"class":381},[375,2562,2563,2566,2568,2571],{"class":377,"line":455},[375,2564,2565],{"class":388},"        \"concurrency\"",[375,2567,407],{"class":381},[375,2569,2570],{"class":388},"100",[375,2572,414],{"class":381},[375,2574,2575,2578,2580,2582],{"class":377,"line":468},[375,2576,2577],{"class":388},"        \"perKeyConcurrency\"",[375,2579,407],{"class":381},[375,2581,872],{"class":388},[375,2583,414],{"class":381},[375,2585,2586,2589,2591,2593],{"class":377,"line":480},[375,2587,2588],{"class":388},"        \"rate\"",[375,2590,407],{"class":381},[375,2592,671],{"class":388},[375,2594,414],{"class":381},[375,2596,2597,2600,2602,2604],{"class":377,"line":493},[375,2598,2599],{"class":388},"        \"perKeyRate\"",[375,2601,407],{"class":381},[375,2603,671],{"class":388},[375,2605,414],{"class":381},[375,2607,2608,2611,2613,2615],{"class":377,"line":506},[375,2609,2610],{"class":388},"        \"agingIntervalMs\"",[375,2612,407],{"class":381},[375,2614,1199],{"class":388},[375,2616,414],{"class":381},[375,2618,2619,2622,2624],{"class":377,"line":519},[375,2620,2621],{"class":388},"        \"reaperGraceMs\"",[375,2623,407],{"class":381},[375,2625,2626],{"class":388},"30000\n",[375,2628,2629],{"class":377,"line":530},[375,2630,904],{"class":381},[375,2632,2633],{"class":377,"line":536},[375,2634,533],{"class":381},[375,2636,2637],{"class":377,"line":542},[375,2638,1000],{"class":381},[375,2640,2641],{"class":377,"line":553},[375,2642,556],{"class":381},[59,2644,2645,2653],{},[62,2646,2647],{},[65,2648,2649,2651],{},[68,2650,1014],{},[68,2652,73],{},[75,2654,2655,2665,2675],{},[65,2656,2657,2662],{},[80,2658,2659],{},[19,2660,2661],{},"active",[80,2663,2664],{},"The number of running jobs",[65,2666,2667,2672],{},[80,2668,2669],{},[19,2670,2671],{},"blocked",[80,2673,2674],{},"The settings that are limiting the execution of waiting jobs",[65,2676,2677,2682],{},[80,2678,2679],{},[19,2680,2681],{},"policy",[80,2683,2684],{},"The throughput settings currently in effect",[146,2686,2671],{"id":2671},[59,2688,2689,2698],{},[62,2690,2691],{},[65,2692,2693,2695],{},[68,2694,1014],{},[68,2696,2697],{},"Limit",[75,2699,2700,2710,2720,2730,2740],{},[65,2701,2702,2707],{},[80,2703,2704],{},[19,2705,2706],{},"paused",[80,2708,2709],{},"Paused",[65,2711,2712,2717],{},[80,2713,2714],{},[19,2715,2716],{},"capacity",[80,2718,2719],{},"Concurrency",[65,2721,2722,2727],{},[80,2723,2724],{},[19,2725,2726],{},"tokens",[80,2728,2729],{},"Rate",[65,2731,2732,2737],{},[80,2733,2734],{},[19,2735,2736],{},"perKey",[80,2738,2739],{},"Per-key concurrency",[65,2741,2742,2747],{},[80,2743,2744],{},[19,2745,2746],{},"perKeyTokens",[80,2748,2749],{},"Per-key rate",[135,2751,2753],{"id":2752},"get-apibindings","GET \u002Fapi\u002Fbindings",[15,2755,2756,2757,2759,2760,2762],{},"Gets the list of binding names to which jobs can be enqueued.",[28,2758],{},"\nAll binding names registered in ",[19,2761,1286],{}," are included, even bindings that have never been executed.",[366,2764,2766],{"className":368,"code":2765,"language":370,"meta":371,"style":371},"{ \"bindings\": [\"CHARGE\", \"MAIL\"] }\n",[19,2767,2768],{"__ignoreMap":371},[375,2769,2770,2772,2775,2777,2780,2782,2784],{"class":377,"line":378},[375,2771,1539],{"class":381},[375,2773,2774],{"class":388},"\"bindings\"",[375,2776,1610],{"class":381},[375,2778,2779],{"class":410},"\"CHARGE\"",[375,2781,310],{"class":381},[375,2783,425],{"class":410},[375,2785,1620],{"class":381},[54,2787,2789],{"id":2788},"実行量の設定","Throughput settings",[135,2791,2793],{"id":2792},"post-apibindingsbindingpolicy","POST \u002Fapi\u002Fbindings\u002F:binding\u002Fpolicy",[15,2795,2796,2797,2799,2800,2803],{},"Changes the throughput settings at runtime.",[28,2798],{},"\nThe changes take precedence over the ",[19,2801,2802],{},"bindings"," settings.",[366,2805,2807],{"className":368,"code":2806,"language":370,"meta":371,"style":371},"{ \"paused\": true, \"concurrency\": 5 }\n",[19,2808,2809],{"__ignoreMap":371},[375,2810,2811,2813,2815,2817,2819,2821,2824,2826,2828],{"class":377,"line":378},[375,2812,1539],{"class":381},[375,2814,2499],{"class":388},[375,2816,407],{"class":381},[375,2818,845],{"class":388},[375,2820,310],{"class":381},[375,2822,2823],{"class":388},"\"concurrency\"",[375,2825,407],{"class":381},[375,2827,1187],{"class":388},[375,2829,1558],{"class":381},[59,2831,2832,2840],{},[62,2833,2834],{},[65,2835,2836,2838],{},[68,2837,1014],{},[68,2839,164],{},[75,2841,2842,2851,2861,2871,2886,2901,2914],{},[65,2843,2844,2848],{},[80,2845,2846],{},[19,2847,2706],{},[80,2849,2850],{},"Pauses enqueuing. Monitoring of running jobs continues while paused",[65,2852,2853,2858],{},[80,2854,2855],{},[19,2856,2857],{},"concurrency",[80,2859,2860],{},"Concurrency. An integer of 0 or greater",[65,2862,2863,2868],{},[80,2864,2865],{},[19,2866,2867],{},"perKeyConcurrency",[80,2869,2870],{},"Per-key concurrency. An integer of 0 or greater",[65,2872,2873,2878],{},[80,2874,2875],{},[19,2876,2877],{},"rate",[80,2879,2880,1032,2883,2885],{},[19,2881,2882],{},"{ tokens, intervalMs }",[19,2884,671],{}," removes the rate limit",[65,2887,2888,2893],{},[80,2889,2890],{},[19,2891,2892],{},"perKeyRate",[80,2894,2895,2897,2898,2900],{},[19,2896,2882],{},". The per-key rate. ",[19,2899,671],{}," removes the limit",[65,2902,2903,2908],{},[80,2904,2905],{},[19,2906,2907],{},"agingIntervalMs",[80,2909,2910,2911,2913],{},"The aging interval. ",[19,2912,671],{}," disables aging",[65,2915,2916,2920],{},[80,2917,2918],{},[19,2919,1522],{},[80,2921,2922],{},"The grace period before a job is judged unresponsive. An integer of 0 or greater",[15,2924,2925,2926,2928,2929,2931,2932,1279,2934,26],{},"Only the specified fields are changed; omitted fields are kept.",[28,2927],{},"\nOn success, the response includes the settings after the change and the number of shards to which the change was applied.",[28,2930],{},"\nThe following is an example for a change to ",[19,2933,2706],{},[19,2935,2857],{},[366,2937,2939],{"className":368,"code":2938,"language":370,"meta":371,"style":371},"{\n  \"binding\": \"MAIL\",\n  \"shards\": 1,\n  \"policy\": {\n    \"paused\": true,\n    \"concurrency\": 5,\n    \"perKeyConcurrency\": 1,\n    \"rate\": null,\n    \"perKeyRate\": null,\n    \"agingIntervalMs\": 60000,\n    \"reaperGraceMs\": 30000\n  }\n}\n",[19,2940,2941,2945,2955,2966,2973,2984,2995,3006,3017,3028,3039,3048,3052],{"__ignoreMap":371},[375,2942,2943],{"class":377,"line":378},[375,2944,382],{"class":381},[375,2946,2947,2949,2951,2953],{"class":377,"line":385},[375,2948,1142],{"class":388},[375,2950,407],{"class":381},[375,2952,425],{"class":410},[375,2954,414],{"class":381},[375,2956,2957,2960,2962,2964],{"class":377,"line":395},[375,2958,2959],{"class":388},"  \"shards\"",[375,2961,407],{"class":381},[375,2963,872],{"class":388},[375,2965,414],{"class":381},[375,2967,2968,2971],{"class":377,"line":401},[375,2969,2970],{"class":388},"  \"policy\"",[375,2972,595],{"class":381},[375,2974,2975,2978,2980,2982],{"class":377,"line":417},[375,2976,2977],{"class":388},"    \"paused\"",[375,2979,407],{"class":381},[375,2981,845],{"class":388},[375,2983,414],{"class":381},[375,2985,2986,2989,2991,2993],{"class":377,"line":430},[375,2987,2988],{"class":388},"    \"concurrency\"",[375,2990,407],{"class":381},[375,2992,1187],{"class":388},[375,2994,414],{"class":381},[375,2996,2997,3000,3002,3004],{"class":377,"line":443},[375,2998,2999],{"class":388},"    \"perKeyConcurrency\"",[375,3001,407],{"class":381},[375,3003,872],{"class":388},[375,3005,414],{"class":381},[375,3007,3008,3011,3013,3015],{"class":377,"line":455},[375,3009,3010],{"class":388},"    \"rate\"",[375,3012,407],{"class":381},[375,3014,671],{"class":388},[375,3016,414],{"class":381},[375,3018,3019,3022,3024,3026],{"class":377,"line":468},[375,3020,3021],{"class":388},"    \"perKeyRate\"",[375,3023,407],{"class":381},[375,3025,671],{"class":388},[375,3027,414],{"class":381},[375,3029,3030,3033,3035,3037],{"class":377,"line":480},[375,3031,3032],{"class":388},"    \"agingIntervalMs\"",[375,3034,407],{"class":381},[375,3036,1199],{"class":388},[375,3038,414],{"class":381},[375,3040,3041,3044,3046],{"class":377,"line":493},[375,3042,3043],{"class":388},"    \"reaperGraceMs\"",[375,3045,407],{"class":381},[375,3047,2626],{"class":388},[375,3049,3050],{"class":377,"line":506},[375,3051,1000],{"class":381},[375,3053,3054],{"class":377,"line":519},[375,3055,556],{"class":381},[15,3057,3058,3059,3061,3062,3064],{},"The change is applied to all shards that belong to the target binding.",[28,3060],{},"\nIf the binding is split into shards, a network partition or a temporary failure may cause the change to fail on some shards.",[28,3063],{},"\nIn that case, the response is HTTP status code 500, and the body includes the numbers of the shards that failed.",[366,3066,3068],{"className":368,"code":3067,"language":370,"meta":371,"style":371},"{ \"error\": \"the change reached 3 of 4 shards, send the same request again\", \"binding\": \"MAIL\", \"shards\": 4, \"failed\": [2] }\n",[19,3069,3070],{"__ignoreMap":371},[375,3071,3072,3074,3077,3079,3082,3084,3086,3088,3090,3092,3095,3097,3100,3102,3104,3106,3108],{"class":377,"line":378},[375,3073,1539],{"class":381},[375,3075,3076],{"class":388},"\"error\"",[375,3078,407],{"class":381},[375,3080,3081],{"class":410},"\"the change reached 3 of 4 shards, send the same request again\"",[375,3083,310],{"class":381},[375,3085,1632],{"class":388},[375,3087,407],{"class":381},[375,3089,425],{"class":410},[375,3091,310],{"class":381},[375,3093,3094],{"class":388},"\"shards\"",[375,3096,407],{"class":381},[375,3098,3099],{"class":388},"4",[375,3101,310],{"class":381},[375,3103,2407],{"class":388},[375,3105,1610],{"class":381},[375,3107,2165],{"class":388},[375,3109,1620],{"class":381},[15,3111,3112,3113,3115,3116,3118,3119,3121],{},"Sending the same request again applies the change to the remaining shards.",[28,3114],{},"\nThe resulting settings are the same no matter how many times the request is sent.",[28,3117],{},"\nAfter the change, the ",[19,3120,2802],{}," settings no longer apply.",[135,3123,3125],{"id":3124},"post-apibindingsbindingpolicyreset","POST \u002Fapi\u002Fbindings\u002F:binding\u002Fpolicy\u002Freset",[15,3127,3128,3129,2803,3131,3133,3134,3136],{},"Discards the runtime changes and returns to the ",[19,3130,2802],{},[28,3132],{},"\nFrom the next enqueue, the ",[19,3135,2802],{}," settings apply again.",[366,3138,3140],{"className":368,"code":3139,"language":370,"meta":371,"style":371},"{ \"ok\": true }\n",[19,3141,3142],{"__ignoreMap":371},[375,3143,3144,3146,3148,3150,3152],{"class":377,"line":378},[375,3145,1539],{"class":381},[375,3147,1542],{"class":388},[375,3149,407],{"class":381},[375,3151,845],{"class":388},[375,3153,1558],{"class":381},[15,3155,3156,3157,3159,3160,26],{},"If applying the reset fails on some shards, as with a ",[19,3158,2681],{}," change, the response is 500 and the body includes ",[19,3161,1931],{},[54,3163,3165],{"id":3164},"定期実行","Schedules",[15,3167,3168,3169,3172,3173,1526,3175,26],{},"In a configuration without ",[19,3170,3171],{},"schedules"," defined, the endpoints in this section respond with 501.",[28,3174],{},[47,3176,3165],{"href":3177},"\u002Fen\u002Fguide\u002Fschedule",[135,3179,3181],{"id":3180},"get-apischedules","GET \u002Fapi\u002Fschedules",[15,3183,3184,3185,3187],{},"Gets the list of schedules.",[28,3186],{},"\nUnlike the job list, the state is reflected in real time.",[366,3189,3191],{"className":368,"code":3190,"language":370,"meta":371,"style":371},"{\n  \"schedules\": [\n    {\n      \"name\": \"nightly\",\n      \"kind\": \"flow\",\n      \"target\": \"REPORT\",\n      \"every_ms\": null,\n      \"cron\": \"0 3 * * *\",\n      \"time_zone\": \"Asia\u002FTokyo\",\n      \"overlap\": \"skip\",\n      \"paused\": false,\n      \"next_occurrence_at\": 1767722400000,\n      \"last_occurrence_at\": 1767636000000,\n      \"last_fired_at\": 1767636001200,\n      \"last_job_id\": null,\n      \"last_run_id\": \"REPORT:nightly-1767636000000\",\n      \"last_skipped_at\": null,\n      \"skipped_count\": 0,\n      \"last_error\": null\n    }\n  ]\n}\n",[19,3192,3193,3197,3204,3208,3220,3232,3244,3255,3267,3279,3291,3302,3314,3326,3338,3349,3361,3372,3383,3393,3397,3402],{"__ignoreMap":371},[375,3194,3195],{"class":377,"line":378},[375,3196,382],{"class":381},[375,3198,3199,3202],{"class":377,"line":385},[375,3200,3201],{"class":388},"  \"schedules\"",[375,3203,392],{"class":381},[375,3205,3206],{"class":377,"line":395},[375,3207,398],{"class":381},[375,3209,3210,3213,3215,3218],{"class":377,"line":401},[375,3211,3212],{"class":388},"      \"name\"",[375,3214,407],{"class":381},[375,3216,3217],{"class":410},"\"nightly\"",[375,3219,414],{"class":381},[375,3221,3222,3225,3227,3230],{"class":377,"line":417},[375,3223,3224],{"class":388},"      \"kind\"",[375,3226,407],{"class":381},[375,3228,3229],{"class":410},"\"flow\"",[375,3231,414],{"class":381},[375,3233,3234,3237,3239,3242],{"class":377,"line":430},[375,3235,3236],{"class":388},"      \"target\"",[375,3238,407],{"class":381},[375,3240,3241],{"class":410},"\"REPORT\"",[375,3243,414],{"class":381},[375,3245,3246,3249,3251,3253],{"class":377,"line":443},[375,3247,3248],{"class":388},"      \"every_ms\"",[375,3250,407],{"class":381},[375,3252,671],{"class":388},[375,3254,414],{"class":381},[375,3256,3257,3260,3262,3265],{"class":377,"line":455},[375,3258,3259],{"class":388},"      \"cron\"",[375,3261,407],{"class":381},[375,3263,3264],{"class":410},"\"0 3 * * *\"",[375,3266,414],{"class":381},[375,3268,3269,3272,3274,3277],{"class":377,"line":468},[375,3270,3271],{"class":388},"      \"time_zone\"",[375,3273,407],{"class":381},[375,3275,3276],{"class":410},"\"Asia\u002FTokyo\"",[375,3278,414],{"class":381},[375,3280,3281,3284,3286,3289],{"class":377,"line":480},[375,3282,3283],{"class":388},"      \"overlap\"",[375,3285,407],{"class":381},[375,3287,3288],{"class":410},"\"skip\"",[375,3290,414],{"class":381},[375,3292,3293,3296,3298,3300],{"class":377,"line":493},[375,3294,3295],{"class":388},"      \"paused\"",[375,3297,407],{"class":381},[375,3299,2504],{"class":388},[375,3301,414],{"class":381},[375,3303,3304,3307,3309,3312],{"class":377,"line":506},[375,3305,3306],{"class":388},"      \"next_occurrence_at\"",[375,3308,407],{"class":381},[375,3310,3311],{"class":388},"1767722400000",[375,3313,414],{"class":381},[375,3315,3316,3319,3321,3324],{"class":377,"line":519},[375,3317,3318],{"class":388},"      \"last_occurrence_at\"",[375,3320,407],{"class":381},[375,3322,3323],{"class":388},"1767636000000",[375,3325,414],{"class":381},[375,3327,3328,3331,3333,3336],{"class":377,"line":530},[375,3329,3330],{"class":388},"      \"last_fired_at\"",[375,3332,407],{"class":381},[375,3334,3335],{"class":388},"1767636001200",[375,3337,414],{"class":381},[375,3339,3340,3343,3345,3347],{"class":377,"line":536},[375,3341,3342],{"class":388},"      \"last_job_id\"",[375,3344,407],{"class":381},[375,3346,671],{"class":388},[375,3348,414],{"class":381},[375,3350,3351,3354,3356,3359],{"class":377,"line":542},[375,3352,3353],{"class":388},"      \"last_run_id\"",[375,3355,407],{"class":381},[375,3357,3358],{"class":410},"\"REPORT:nightly-1767636000000\"",[375,3360,414],{"class":381},[375,3362,3363,3366,3368,3370],{"class":377,"line":553},[375,3364,3365],{"class":388},"      \"last_skipped_at\"",[375,3367,407],{"class":381},[375,3369,671],{"class":388},[375,3371,414],{"class":381},[375,3373,3374,3377,3379,3381],{"class":377,"line":788},[375,3375,3376],{"class":388},"      \"skipped_count\"",[375,3378,407],{"class":381},[375,3380,289],{"class":388},[375,3382,414],{"class":381},[375,3384,3385,3388,3390],{"class":377,"line":800},[375,3386,3387],{"class":388},"      \"last_error\"",[375,3389,407],{"class":381},[375,3391,3392],{"class":388},"null\n",[375,3394,3395],{"class":377,"line":812},[375,3396,533],{"class":381},[375,3398,3399],{"class":377,"line":824},[375,3400,3401],{"class":381},"  ]\n",[375,3403,3404],{"class":377,"line":837},[375,3405,556],{"class":381},[59,3407,3408,3416],{},[62,3409,3410],{},[65,3411,3412,3414],{},[68,3413,1014],{},[68,3415,73],{},[75,3417,3418,3430,3445,3455,3471,3485,3499,3513,3522,3532,3545,3558,3575,3591,3604,3614],{},[65,3419,3420,3425],{},[80,3421,3422],{},[19,3423,3424],{},"name",[80,3426,3427,3428],{},"The name of the schedule. The key in ",[19,3429,3171],{},[65,3431,3432,3437],{},[80,3433,3434],{},[19,3435,3436],{},"kind",[80,3438,3439,353,3442],{},[19,3440,3441],{},"job",[19,3443,3444],{},"flow",[65,3446,3447,3452],{},[80,3448,3449],{},[19,3450,3451],{},"target",[80,3453,3454],{},"The binding name or Flow name",[65,3456,3457,3462],{},[80,3458,3459],{},[19,3460,3461],{},"every_ms",[80,3463,3464,3465,3467,3468,341],{},"The fixed interval. ",[19,3466,671],{}," when ",[19,3469,3470],{},"cron",[65,3472,3473,3477],{},[80,3474,3475],{},[19,3476,3470],{},[80,3478,3479,3480,3467,3482,341],{},"The cron expression. ",[19,3481,671],{},[19,3483,3484],{},"everyMs",[65,3486,3487,3492],{},[80,3488,3489],{},[19,3490,3491],{},"time_zone",[80,3493,3494,3495,3498],{},"The IANA time zone used for cron and for display. ",[19,3496,3497],{},"UTC"," for a fixed interval",[65,3500,3501,3506],{},[80,3502,3503],{},[19,3504,3505],{},"overlap",[80,3507,3508,353,3511],{},[19,3509,3510],{},"skip",[19,3512,3505],{},[65,3514,3515,3519],{},[80,3516,3517],{},[19,3518,2706],{},[80,3520,3521],{},"Whether the schedule is paused",[65,3523,3524,3529],{},[80,3525,3526],{},[19,3527,3528],{},"next_occurrence_at",[80,3530,3531],{},"The next scheduled execution",[65,3533,3534,3539],{},[80,3535,3536],{},[19,3537,3538],{},"last_occurrence_at",[80,3540,3541,3542,3544],{},"The scheduled time of the previous execution. ",[19,3543,671],{}," if it has never been executed",[65,3546,3547,3552],{},[80,3548,3549],{},[19,3550,3551],{},"last_fired_at",[80,3553,3554,3555,3557],{},"The actual time of the previous execution. The difference from ",[19,3556,3538],{}," is the execution delay",[65,3559,3560,3565],{},[80,3561,3562],{},[19,3563,3564],{},"last_job_id",[80,3566,3567,3568,3467,3570,3572,3573],{},"The ID of the job enqueued by the previous execution. ",[19,3569,671],{},[19,3571,3436],{}," is ",[19,3574,3444],{},[65,3576,3577,3582],{},[80,3578,3579],{},[19,3580,3581],{},"last_run_id",[80,3583,3584,3585,3467,3587,3572,3589],{},"The ID of the Run started by the previous execution. ",[19,3586,671],{},[19,3588,3436],{},[19,3590,3441],{},[65,3592,3593,3598],{},[80,3594,3595],{},[19,3596,3597],{},"last_skipped_at",[80,3599,3600,3601,3603],{},"The time of the most recent occurrence that was not executed. ",[19,3602,671],{}," if there is none",[65,3605,3606,3611],{},[80,3607,3608],{},[19,3609,3610],{},"skipped_count",[80,3612,3613],{},"The number of occurrences that were not executed because the previous execution had not finished",[65,3615,3616,3621],{},[80,3617,3618],{},[19,3619,3620],{},"last_error",[80,3622,3623,3624,3626],{},"The reason the previous execution failed. ",[19,3625,671],{}," if it succeeded",[15,3628,3629,3630,3633],{},"Fields whose names end in ",[19,3631,3632],{},"_at"," are epoch milliseconds.",[135,3635,3637],{"id":3636},"post-apischedulesnamepause","POST \u002Fapi\u002Fschedules\u002F:name\u002Fpause",[15,3639,3640,3641,3643],{},"While a schedule is paused, no periodic executions take place.",[28,3642],{},"\nJobs enqueued before the pause are not affected.",[366,3645,3646],{"className":368,"code":3139,"language":370,"meta":371,"style":371},[19,3647,3648],{"__ignoreMap":371},[375,3649,3650,3652,3654,3656,3658],{"class":377,"line":378},[375,3651,1539],{"class":381},[375,3653,1542],{"class":388},[375,3655,407],{"class":381},[375,3657,845],{"class":388},[375,3659,1558],{"class":381},[135,3661,3663],{"id":3662},"post-apischedulesnameresume","POST \u002Fapi\u002Fschedules\u002F:name\u002Fresume",[15,3665,3666,3667,3669,3670,3672],{},"Resumes a paused schedule.",[28,3668],{},"\nOccurrences that passed while the schedule was paused are not executed.",[28,3671],{},"\nThe next execution after resuming is the first scheduled time after the moment of resuming.",[366,3674,3675],{"className":368,"code":3139,"language":370,"meta":371,"style":371},[19,3676,3677],{"__ignoreMap":371},[375,3678,3679,3681,3683,3685,3687],{"class":377,"line":378},[375,3680,1539],{"class":381},[375,3682,1542],{"class":388},[375,3684,407],{"class":381},[375,3686,845],{"class":388},[375,3688,1558],{"class":381},[135,3690,3692],{"id":3691},"post-apischedulesnametrigger","POST \u002Fapi\u002Fschedules\u002F:name\u002Ftrigger",[15,3694,3695],{},"Executes the schedule once, immediately.",[366,3697,3699],{"className":368,"code":3698,"language":370,"meta":371,"style":371},"{ \"id\": \"REPORT:nightly-1767650000000-1-manual\", \"kind\": \"flow\" }\n",[19,3700,3701],{"__ignoreMap":371},[375,3702,3703,3705,3707,3709,3712,3714,3717,3719,3721],{"class":377,"line":378},[375,3704,1539],{"class":381},[375,3706,1879],{"class":388},[375,3708,407],{"class":381},[375,3710,3711],{"class":410},"\"REPORT:nightly-1767650000000-1-manual\"",[375,3713,310],{"class":381},[375,3715,3716],{"class":388},"\"kind\"",[375,3718,407],{"class":381},[375,3720,3229],{"class":410},[375,3722,1558],{"class":381},[15,3724,3725,3727,3728,3730,3732,3733,3735,3736,3738,3739,3741,3742,3744,3745,3747,3748,3750,3751,3753],{},[19,3726,198],{}," is the ID of the job that was enqueued or the ID of the Run that was started.",[28,3729],{},[19,3731,3436],{}," indicates whether ",[19,3734,198],{}," refers to a job or a Run.",[28,3737],{},"\nThe schedule is executed even while paused, and the ",[19,3740,3505],{}," check is not performed.",[28,3743],{},"\nThe time of the next periodic execution does not change.",[28,3746],{},"\nIf the execution fails, the response is 500 with the error details.",[28,3749],{},"\nThe value of ",[19,3752,3620],{}," in the list is the same as these error details.",[54,3755,3757],{"id":3756},"run","Run",[135,3759,3761],{"id":3760},"get-apiflows","GET \u002Fapi\u002Fflows",[15,3763,3764,3765,3767,3768,3771],{},"Gets the registered Flow names.",[28,3766],{},"\nAll Flow names registered in ",[19,3769,3770],{},"flows"," are included, whether or not they have been executed.",[366,3773,3775],{"className":368,"code":3774,"language":370,"meta":371,"style":371},"{ \"flows\": [\"GREETINGS\", \"PIPELINE\"] }\n",[19,3776,3777],{"__ignoreMap":371},[375,3778,3779,3781,3784,3786,3789,3791,3794],{"class":377,"line":378},[375,3780,1539],{"class":381},[375,3782,3783],{"class":388},"\"flows\"",[375,3785,1610],{"class":381},[375,3787,3788],{"class":410},"\"GREETINGS\"",[375,3790,310],{"class":381},[375,3792,3793],{"class":410},"\"PIPELINE\"",[375,3795,1620],{"class":381},[135,3797,3799],{"id":3798},"get-apiruns","GET \u002Fapi\u002Fruns",[15,3801,3802,3803,3805],{},"Gets the list of Runs.",[28,3804],{},"\nFor each Run, the progress of its nodes is included.",[146,3807,149],{"id":3808},"クエリパラメータ-2",[59,3810,3811,3821],{},[62,3812,3813],{},[65,3814,3815,3817,3819],{},[68,3816,158],{},[68,3818,161],{},[68,3820,164],{},[75,3822,3823,3842,3853,3863],{},[65,3824,3825,3829,3831],{},[80,3826,3827],{},[19,3828,173],{},[80,3830,176],{},[80,3832,307,3833,310,3835,310,3838,310,3840],{},[19,3834,1491],{},[19,3836,3837],{},"COMPLETED",[19,3839,1410],{},[19,3841,1058],{},[65,3843,3844,3848,3850],{},[80,3845,3846],{},[19,3847,3444],{},[80,3849,176],{},[80,3851,3852],{},"Filter by Flow name",[65,3854,3855,3859,3861],{},[80,3856,3857],{},[19,3858,269],{},[80,3860,274],{},[80,3862,277],{},[65,3864,3865,3869,3871],{},[80,3866,3867],{},[19,3868,284],{},[80,3870,289],{},[80,3872,3873],{},"Paging",[366,3875,3877],{"className":368,"code":3876,"language":370,"meta":371,"style":371},"{\n  \"runs\": [\n    {\n      \"id\": \"GREETINGS:cl9x0a1b2c3d\",\n      \"flow\": \"GREETINGS\",\n      \"state\": \"RUNNING\",\n      \"node_total\": 6,\n      \"node_done\": 4,\n      \"node_failed\": 0,\n      \"created_at\": 1767225600000,\n      \"updated_at\": 1767225603000\n    }\n  ],\n  \"total\": 1\n}\n",[19,3878,3879,3883,3890,3894,3905,3916,3926,3938,3949,3960,3971,3980,3984,3988,3996],{"__ignoreMap":371},[375,3880,3881],{"class":377,"line":378},[375,3882,382],{"class":381},[375,3884,3885,3888],{"class":377,"line":385},[375,3886,3887],{"class":388},"  \"runs\"",[375,3889,392],{"class":381},[375,3891,3892],{"class":377,"line":395},[375,3893,398],{"class":381},[375,3895,3896,3898,3900,3903],{"class":377,"line":401},[375,3897,404],{"class":388},[375,3899,407],{"class":381},[375,3901,3902],{"class":410},"\"GREETINGS:cl9x0a1b2c3d\"",[375,3904,414],{"class":381},[375,3906,3907,3910,3912,3914],{"class":377,"line":417},[375,3908,3909],{"class":388},"      \"flow\"",[375,3911,407],{"class":381},[375,3913,3788],{"class":410},[375,3915,414],{"class":381},[375,3917,3918,3920,3922,3924],{"class":377,"line":430},[375,3919,433],{"class":388},[375,3921,407],{"class":381},[375,3923,2142],{"class":410},[375,3925,414],{"class":381},[375,3927,3928,3931,3933,3936],{"class":377,"line":443},[375,3929,3930],{"class":388},"      \"node_total\"",[375,3932,407],{"class":381},[375,3934,3935],{"class":388},"6",[375,3937,414],{"class":381},[375,3939,3940,3943,3945,3947],{"class":377,"line":455},[375,3941,3942],{"class":388},"      \"node_done\"",[375,3944,407],{"class":381},[375,3946,3099],{"class":388},[375,3948,414],{"class":381},[375,3950,3951,3954,3956,3958],{"class":377,"line":468},[375,3952,3953],{"class":388},"      \"node_failed\"",[375,3955,407],{"class":381},[375,3957,289],{"class":388},[375,3959,414],{"class":381},[375,3961,3962,3964,3966,3969],{"class":377,"line":480},[375,3963,483],{"class":388},[375,3965,407],{"class":381},[375,3967,3968],{"class":388},"1767225600000",[375,3970,414],{"class":381},[375,3972,3973,3975,3977],{"class":377,"line":493},[375,3974,496],{"class":388},[375,3976,407],{"class":381},[375,3978,3979],{"class":388},"1767225603000\n",[375,3981,3982],{"class":377,"line":506},[375,3983,533],{"class":381},[375,3985,3986],{"class":377,"line":519},[375,3987,539],{"class":381},[375,3989,3990,3992,3994],{"class":377,"line":530},[375,3991,545],{"class":388},[375,3993,407],{"class":381},[375,3995,550],{"class":388},[375,3997,3998],{"class":377,"line":536},[375,3999,556],{"class":381},[135,4001,4003],{"id":4002},"get-apirunsid","GET \u002Fapi\u002Fruns\u002F:id",[15,4005,4006,4007,4009],{},"Gets one Run and the nodes it contains.",[28,4008],{},"\nThe nodes include both the static nodes defined in advance and the nodes added dynamically at run time.",[366,4011,4013],{"className":368,"code":4012,"language":370,"meta":371,"style":371},"{\n  \"run\": {\n    \"id\": \"GREETINGS:cl9x0a1b2c3d\",\n    \"flow\": \"GREETINGS\",\n    \"state\": \"RUNNING\",\n    \"input\": \"{\\\"prefix\\\":\\\"hello\\\"}\",\n    \"node_total\": 6,\n    \"node_done\": 4,\n    \"node_failed\": 0,\n    \"created_at\": 1767225600000,\n    \"updated_at\": 1767225603000,\n    \"parent_run_id\": null,\n    \"parent_node_id\": null,\n    \"retryable\": false\n  },\n  \"nodes\": [\n    {\n      \"id\": \"greet\",\n      \"binding\": \"GREET\",\n      \"state\": \"RUNNING\",\n      \"container\": true,\n      \"parent\": null,\n      \"origin\": \"static\",\n      \"after\": [\"list\"],\n      \"job_id\": null,\n      \"child_run_id\": null,\n      \"result\": null,\n      \"error\": null,\n      \"position\": 1,\n      \"created_at\": 1767225600000,\n      \"updated_at\": 1767225603000\n    }\n  ]\n}\n",[19,4014,4015,4019,4026,4036,4047,4057,4086,4097,4108,4119,4129,4140,4151,4162,4171,4176,4183,4187,4198,4209,4219,4230,4241,4253,4265,4276,4287,4298,4309,4320,4330,4338,4342,4346],{"__ignoreMap":371},[375,4016,4017],{"class":377,"line":378},[375,4018,382],{"class":381},[375,4020,4021,4024],{"class":377,"line":385},[375,4022,4023],{"class":388},"  \"run\"",[375,4025,595],{"class":381},[375,4027,4028,4030,4032,4034],{"class":377,"line":395},[375,4029,600],{"class":388},[375,4031,407],{"class":381},[375,4033,3902],{"class":410},[375,4035,414],{"class":381},[375,4037,4038,4041,4043,4045],{"class":377,"line":401},[375,4039,4040],{"class":388},"    \"flow\"",[375,4042,407],{"class":381},[375,4044,3788],{"class":410},[375,4046,414],{"class":381},[375,4048,4049,4051,4053,4055],{"class":377,"line":417},[375,4050,622],{"class":388},[375,4052,407],{"class":381},[375,4054,2142],{"class":410},[375,4056,414],{"class":381},[375,4058,4059,4062,4064,4066,4068,4071,4073,4075,4077,4080,4082,4084],{"class":377,"line":430},[375,4060,4061],{"class":388},"    \"input\"",[375,4063,407],{"class":381},[375,4065,638],{"class":410},[375,4067,641],{"class":388},[375,4069,4070],{"class":410},"prefix",[375,4072,641],{"class":388},[375,4074,649],{"class":410},[375,4076,641],{"class":388},[375,4078,4079],{"class":410},"hello",[375,4081,641],{"class":388},[375,4083,659],{"class":410},[375,4085,414],{"class":381},[375,4087,4088,4091,4093,4095],{"class":377,"line":443},[375,4089,4090],{"class":388},"    \"node_total\"",[375,4092,407],{"class":381},[375,4094,3935],{"class":388},[375,4096,414],{"class":381},[375,4098,4099,4102,4104,4106],{"class":377,"line":455},[375,4100,4101],{"class":388},"    \"node_done\"",[375,4103,407],{"class":381},[375,4105,3099],{"class":388},[375,4107,414],{"class":381},[375,4109,4110,4113,4115,4117],{"class":377,"line":468},[375,4111,4112],{"class":388},"    \"node_failed\"",[375,4114,407],{"class":381},[375,4116,289],{"class":388},[375,4118,414],{"class":381},[375,4120,4121,4123,4125,4127],{"class":377,"line":480},[375,4122,757],{"class":388},[375,4124,407],{"class":381},[375,4126,3968],{"class":388},[375,4128,414],{"class":381},[375,4130,4131,4133,4135,4138],{"class":377,"line":493},[375,4132,768],{"class":388},[375,4134,407],{"class":381},[375,4136,4137],{"class":388},"1767225603000",[375,4139,414],{"class":381},[375,4141,4142,4145,4147,4149],{"class":377,"line":506},[375,4143,4144],{"class":388},"    \"parent_run_id\"",[375,4146,407],{"class":381},[375,4148,671],{"class":388},[375,4150,414],{"class":381},[375,4152,4153,4156,4158,4160],{"class":377,"line":519},[375,4154,4155],{"class":388},"    \"parent_node_id\"",[375,4157,407],{"class":381},[375,4159,671],{"class":388},[375,4161,414],{"class":381},[375,4163,4164,4166,4168],{"class":377,"line":530},[375,4165,840],{"class":388},[375,4167,407],{"class":381},[375,4169,4170],{"class":388},"false\n",[375,4172,4173],{"class":377,"line":536},[375,4174,4175],{"class":381},"  },\n",[375,4177,4178,4181],{"class":377,"line":542},[375,4179,4180],{"class":388},"  \"nodes\"",[375,4182,392],{"class":381},[375,4184,4185],{"class":377,"line":553},[375,4186,398],{"class":381},[375,4188,4189,4191,4193,4196],{"class":377,"line":788},[375,4190,404],{"class":388},[375,4192,407],{"class":381},[375,4194,4195],{"class":410},"\"greet\"",[375,4197,414],{"class":381},[375,4199,4200,4202,4204,4207],{"class":377,"line":800},[375,4201,420],{"class":388},[375,4203,407],{"class":381},[375,4205,4206],{"class":410},"\"GREET\"",[375,4208,414],{"class":381},[375,4210,4211,4213,4215,4217],{"class":377,"line":812},[375,4212,433],{"class":388},[375,4214,407],{"class":381},[375,4216,2142],{"class":410},[375,4218,414],{"class":381},[375,4220,4221,4224,4226,4228],{"class":377,"line":824},[375,4222,4223],{"class":388},"      \"container\"",[375,4225,407],{"class":381},[375,4227,845],{"class":388},[375,4229,414],{"class":381},[375,4231,4232,4235,4237,4239],{"class":377,"line":837},[375,4233,4234],{"class":388},"      \"parent\"",[375,4236,407],{"class":381},[375,4238,671],{"class":388},[375,4240,414],{"class":381},[375,4242,4243,4246,4248,4251],{"class":377,"line":850},[375,4244,4245],{"class":388},"      \"origin\"",[375,4247,407],{"class":381},[375,4249,4250],{"class":410},"\"static\"",[375,4252,414],{"class":381},[375,4254,4255,4258,4260,4263],{"class":377,"line":858},[375,4256,4257],{"class":388},"      \"after\"",[375,4259,1610],{"class":381},[375,4261,4262],{"class":410},"\"list\"",[375,4264,1868],{"class":381},[375,4266,4267,4270,4272,4274],{"class":377,"line":864},[375,4268,4269],{"class":388},"      \"job_id\"",[375,4271,407],{"class":381},[375,4273,671],{"class":388},[375,4275,414],{"class":381},[375,4277,4278,4281,4283,4285],{"class":377,"line":877},[375,4279,4280],{"class":388},"      \"child_run_id\"",[375,4282,407],{"class":381},[375,4284,671],{"class":388},[375,4286,414],{"class":381},[375,4288,4289,4292,4294,4296],{"class":377,"line":890},[375,4290,4291],{"class":388},"      \"result\"",[375,4293,407],{"class":381},[375,4295,671],{"class":388},[375,4297,414],{"class":381},[375,4299,4300,4303,4305,4307],{"class":377,"line":901},[375,4301,4302],{"class":388},"      \"error\"",[375,4304,407],{"class":381},[375,4306,671],{"class":388},[375,4308,414],{"class":381},[375,4310,4311,4314,4316,4318],{"class":377,"line":907},[375,4312,4313],{"class":388},"      \"position\"",[375,4315,407],{"class":381},[375,4317,872],{"class":388},[375,4319,414],{"class":381},[375,4321,4322,4324,4326,4328],{"class":377,"line":913},[375,4323,483],{"class":388},[375,4325,407],{"class":381},[375,4327,3968],{"class":388},[375,4329,414],{"class":381},[375,4331,4332,4334,4336],{"class":377,"line":921},[375,4333,496],{"class":388},[375,4335,407],{"class":381},[375,4337,3979],{"class":388},[375,4339,4340],{"class":377,"line":926},[375,4341,533],{"class":381},[375,4343,4344],{"class":377,"line":937},[375,4345,3401],{"class":381},[375,4347,4348],{"class":377,"line":949},[375,4349,556],{"class":381},[15,4351,4352,4353,3572,4356,4358,4359,4361,4362,3572,4365,26,4367,4369,4371,4372,4374,4375,4378,4379,4381,3572,4384,353,4387,26,4390,4392,4393,1279,4396,4399,4400,4402,4403,4406],{},"A node whose ",[19,4354,4355],{},"container",[19,4357,845],{}," is a fan-out node.",[28,4360],{},"\nA fan-out node has no job, so ",[19,4363,4364],{},"job_id",[19,4366,671],{},[28,4368],{},[19,4370,1025],{}," contains the aggregate values of the child nodes.",[28,4373],{},"\nA node that has a ",[19,4376,4377],{},"parent"," was added at run time.",[28,4380],{},[19,4382,4383],{},"origin",[19,4385,4386],{},"fanOut",[19,4388,4389],{},"spawn",[28,4391],{},"\nFor a Run that was started as a subflow, ",[19,4394,4395],{},"parent_run_id",[19,4397,4398],{},"parent_node_id"," contain the IDs of the parent Run and node.",[28,4401],{},"\nFor a subflow node, ",[19,4404,4405],{},"child_run_id"," contains the runId of the child Run that was started.",[135,4408,4410],{"id":4409},"post-apiruns","POST \u002Fapi\u002Fruns",[15,4412,4413,4414,4416],{},"Starts a Run.",[28,4415],{},"\nThe request body is JSON that contains the Flow name and the input.",[366,4418,4420],{"className":368,"code":4419,"language":370,"meta":371,"style":371},"{ \"flow\": \"GREETINGS\", \"input\": { \"prefix\": \"hello\" }, \"id\": \"order-1234\" }\n",[19,4421,4422],{"__ignoreMap":371},[375,4423,4424,4426,4428,4430,4432,4434,4437,4439,4442,4444,4447,4450,4452,4454,4457],{"class":377,"line":378},[375,4425,1539],{"class":381},[375,4427,3229],{"class":388},[375,4429,407],{"class":381},[375,4431,3788],{"class":410},[375,4433,310],{"class":381},[375,4435,4436],{"class":388},"\"input\"",[375,4438,1156],{"class":381},[375,4440,4441],{"class":388},"\"prefix\"",[375,4443,407],{"class":381},[375,4445,4446],{"class":410},"\"hello\"",[375,4448,4449],{"class":381}," }, ",[375,4451,1879],{"class":388},[375,4453,407],{"class":381},[375,4455,4456],{"class":410},"\"order-1234\"",[375,4458,1558],{"class":381},[59,4460,4461,4471],{},[62,4462,4463],{},[65,4464,4465,4467,4469],{},[68,4466,1014],{},[68,4468,1676],{},[68,4470,164],{},[75,4472,4473,4484,4496,4507],{},[65,4474,4475,4479,4481],{},[80,4476,4477],{},[19,4478,3444],{},[80,4480,1676],{},[80,4482,4483],{},"A registered Flow name. 400 if it is not registered",[65,4485,4486,4491,4493],{},[80,4487,4488],{},[19,4489,4490],{},"input",[80,4492,1676],{},[80,4494,4495],{},"Any JSON. No type checking is applied",[65,4497,4498,4502,4504],{},[80,4499,4500],{},[19,4501,198],{},[80,4503,1689],{},[80,4505,4506],{},"The local part of the runId. A second start with the same ID responds with the existing runId",[65,4508,4509,4514,4516],{},[80,4510,4511],{},[19,4512,4513],{},"deadlineMs",[80,4515,1689],{},[80,4517,4518,4519,4521],{},"The deadline for the whole Run, in milliseconds. A positive integer. When the deadline is exceeded, the Run is aborted and transitions to ",[19,4520,1410],{},". Takes precedence over the deadline in the Flow definition",[15,4523,4524,4525,4527,4528,4531,4532,1279,4534,26],{},"On success, the response is 201 and the body contains the runId of the Run that was started.",[28,4526],{},"\nThe runId in the following example is ",[19,4529,4530],{},"GREETINGS:order-1234",", which is built from ",[19,4533,3444],{},[19,4535,198],{},[366,4537,4539],{"className":368,"code":4538,"language":370,"meta":371,"style":371},"{ \"id\": \"GREETINGS:order-1234\" }\n",[19,4540,4541],{"__ignoreMap":371},[375,4542,4543,4545,4547,4549,4552],{"class":377,"line":378},[375,4544,1539],{"class":381},[375,4546,1879],{"class":388},[375,4548,407],{"class":381},[375,4550,4551],{"class":410},"\"GREETINGS:order-1234\"",[375,4553,1558],{"class":381},[135,4555,4557],{"id":4556},"post-apirunsidretry","POST \u002Fapi\u002Fruns\u002F:id\u002Fretry",[15,4559,4560,4561,4563,4564,4566,4567,310,4569,310,4571,1298,4574,4576,4577,4579,4580,4582],{},"Resumes a failed Run.",[28,4562],{},"\nThe results of completed nodes are carried over as they are.",[28,4565],{},"\nNodes in ",[19,4568,1410],{},[19,4570,1413],{},[19,4572,4573],{},"SKIPPED",[19,4575,1058],{}," are executed again as not yet executed.",[28,4578],{},"\nOf the child nodes created by fan-out, only the child nodes that were aborted because the Run's deadline passed are executed again.",[28,4581],{},"\nChild nodes that were executed and failed are not executed again.",[15,4584,4585,4586,4588,4589,4591,4592,4594],{},"Only a ",[19,4587,1410],{}," Run can be resumed.",[28,4590],{},"\nA Run in any other state responds with 409.",[28,4593],{},"\nA Run that does not exist, or a Run that is past its retention period, responds with 410.",[135,4596,4598],{"id":4597},"post-apirunsidcancel","POST \u002Fapi\u002Fruns\u002F:id\u002Fcancel",[15,4600,4601,4602,4604,4605,4608,4609,4611,4612,4614,4615,1519,4617,1523,4619,4621,4622,4624],{},"Cancels a Run.",[28,4603],{},"\nNodes that have not started are not started, and a ",[47,4606,4607],{"href":1072},"cancellation request"," is sent to the nodes that are running.",[28,4610],{},"\nRunning jobs are not stopped.",[28,4613],{},"\nThe Run transitions to ",[19,4616,1058],{},[19,4618,1522],{},[28,4620],{},"\nOnly a ",[19,4623,1491],{}," Run can be cancelled.",[54,4626,52],{"id":4627},"get-apiopenapijson",[15,4629,4630],{},"Gets the OpenAPI 3.1 definition that describes the parameters and response formats of all endpoints.",[4632,4633,4634],"style",{},"html pre.shiki code .sVt8B, html code.shiki .sVt8B{--shiki-default:#24292E;--shiki-dark:#E1E4E8}html pre.shiki code .sj4cs, html code.shiki .sj4cs{--shiki-default:#005CC5;--shiki-dark:#79B8FF}html pre.shiki code .sZZnC, html code.shiki .sZZnC{--shiki-default:#032F62;--shiki-dark:#9ECBFF}html .default .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}html.dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}",{"title":371,"searchDepth":395,"depth":395,"links":4636},[4637,4638,4650,4660,4664,4670,4680],{"id":56,"depth":385,"text":57},{"id":132,"depth":385,"text":133,"children":4639},[4640,4643,4644,4645,4646,4647,4648,4649],{"id":137,"depth":395,"text":138,"children":4641},[4642],{"id":148,"depth":401,"text":149},{"id":571,"depth":395,"text":572},{"id":1121,"depth":395,"text":1122},{"id":1403,"depth":395,"text":1404},{"id":1475,"depth":395,"text":1476},{"id":1575,"depth":395,"text":1576},{"id":1579,"depth":395,"text":1580},{"id":1982,"depth":395,"text":1983},{"id":2105,"depth":385,"text":2106,"children":4651},[4652,4653,4656,4659],{"id":2109,"depth":395,"text":2110},{"id":2201,"depth":395,"text":2202,"children":4654},[4655],{"id":2208,"depth":401,"text":149},{"id":2452,"depth":395,"text":2453,"children":4657},[4658],{"id":2671,"depth":401,"text":2671},{"id":2752,"depth":395,"text":2753},{"id":2788,"depth":385,"text":2789,"children":4661},[4662,4663],{"id":2792,"depth":395,"text":2793},{"id":3124,"depth":395,"text":3125},{"id":3164,"depth":385,"text":3165,"children":4665},[4666,4667,4668,4669],{"id":3180,"depth":395,"text":3181},{"id":3636,"depth":395,"text":3637},{"id":3662,"depth":395,"text":3663},{"id":3691,"depth":395,"text":3692},{"id":3756,"depth":385,"text":3757,"children":4671},[4672,4673,4676,4677,4678,4679],{"id":3760,"depth":395,"text":3761},{"id":3798,"depth":395,"text":3799,"children":4674},[4675],{"id":3808,"depth":401,"text":149},{"id":4002,"depth":395,"text":4003},{"id":4409,"depth":395,"text":4410},{"id":4556,"depth":395,"text":4557},{"id":4597,"depth":395,"text":4598},{"id":4627,"depth":385,"text":52},"The endpoints of the REST API for working with jobs, Runs, schedules, and throughput settings, and the request and response formats","md",{},true,"\u002Fen\u002Freference\u002Frest-api","2026-07-22",{"title":6,"description":4681},"en\u002Freference\u002Frest-api","2026-10-25","nCEUzSPibmeNFgxVBBwzD35YeGnsVkkC5OjX_BiqDoQ",false,1794027568546]